Welcome to OpenFX Online Help

Animation Online
HTML Help


How to Use This Function Reference

How to Use This Function Reference Manual

This HTML manual is intended as a reference for users. It is a menu-by-menu list and explanation of every function in the Animator program. To find the function you are looking for, note the menu where the option appears, and look up that same menu, sub-menu and sub-sub-menu in the Table of Contents.

All functions are listed in menu order, from left to right and top to bottom. All dependent submenus for each option are fully listed before moving on to the next menu item. The general screen layout, icons and tools are listed at the beginning of each module’s section, before the menus.


Terms used in the Animator

3D Cursor - To be able to work in three dimensions it must be possible to specify a point in space where your tools do their work and the actions take effect. A two dimensional computer screen is one dimension short therefore in addition to the normal mouse pointer a second "Cursor" is provided. This cursor can be placed anywhere in 3D space by dragging it (with the mouse pointer) in one, two or three of the Working-Volume view windows.

Actor - An Actor is the term used for each directable element in the Animator. An Actor is given a costume, the costume is implied by the type of Actor and costumes can change from frame to frame. An Actor on the other hand is constant throughout the animation. There are 12 types of Actors. The most important of which is the "Model". A Model Actor uses models from the Designer module as its costumes. Models are stored in files with the name extension .MFX.

Actor's track - The track of an Actor is an implied path that the Actor will follow throughout the whole animation. A track will only be visible if the Actor has at least two contiguous movement timelines.

Active Window - The Active Window is the Working-Volume view window with input focus. It is highlighted by being surrounded with a focus rectangle. When the multi-views are visible pressing the Tab key activates the the next window in a cycle. Clicking the mouse in any view window activates it.

Center Point - Each Model has a point which is used in the Animator to "hold" the model. For example if a model of an aircraft is following a path then the point in the model that is exactly on the path is the Center Point. For an aircraft it should be the center of gravity.

Timeline - To direct the activity of an Actor during an animation requires the use of four timelines, one each for costume, movement, rotation, and scale. A timelinel spans a number of frames and has a Keyframe associated with it. The Keyframe is the frame in which the action of the Actor is exactly exactly specified, other frames spanned by the timeline have the action of the Actor determined by interpolation.

The Keyframe is always the last frame in the timeline. A timeline therefore is a range of frames where an action of the Actor is determined from the details specified in the Keyframe at the end of that timeline.

TImeline Span - A Timeline spans the current frame if the first frame in the timeline is less than or equal to the current frame and if the last frame in the timeline is greater than or equal to the current frame.

Costume - To be visible in an animation an Actor must wear a costume. The type of Actor dictates what sort of costume an Actor can wear, but Actors may change their costume during an animation.

Current Frame - The current frame is the frame in the animation that is displayed in the view windows and in which any changes take effect.

Curve - A set of vertices connected together by edges without forming any faces. Curves may be open or closed.

Edge - A line segment connecting two vertices (the plural of vertex).

Face - A triangular surface area composed of three edges joining exactly three vertices .

Follow Point - A location (specified in the Designer module) in a model which other Actors can follow.

Example: The tail rotor of a helicopter can be simulated by making models of the fuselage and rotor, setting the fuselage follow point at the axis of the tail rotor and then instructing the tail rotor to follow the fuselage.

Frame - Like a conventional cinematic film an animation is build up from a large number of still pictures (images) shown for approximately 1/24th sec. Each of these pictures is called a frame.

Gourand Shading - A rendering algorithm that shades models smoothly by blending and blurring adjacent surfaces together. Gourand shading is the rendering method used by the OpenGL Shaded Camera View.

Image Map - An Image Map is a picture in a GIF or TGA file that is painted on to faces in the model to add decals or other surface detail.

Indicate - To choose one particular vertex, edge, face, or connected part of a model to be affected by an operation by placing the 3D Cursor on or very near it (within one or two pixels). If more than one vertex, edge, face, or part of model is indicated in the current Working-Volume view window, then the one closest to the 3D Cursor in the other Views will be used.

Keyframe - A Keyframe is a frame in which some information is specified about the activity of an Actor. It always occurs at the end of a timeline. The action of the Actor in other frames spanned by the timeline is determined by interpolation.

Model - A model is the main unit of structure. A model is made up of faces and each face is bounded by three edges. The size, position and orientation of a face is determined by the vertices that define it.

Modifier Keys - The Shift, Ctrl and Alt keys are used to modify the action of the Designer tools. If one or other is held down as the tool is used then the action of the tool is modified in some manner.

Morphing - Enables one model to gradually change shape into another model.

Node - A node is a point on a path or robot that can be manipulated. Represented by a small square on the path or the robot.

Origin - The default origin is coordinate values of (0, 0, 0).

Path - A Curve that used in the animator as templates for Path Actors (.PTH) and may be used in the Designer as paths for the Extrude along function.

Phong Shading - A rendering algorithm that shades models smoothly and accurately depicts surfaces, textures, and reflective properties (such as specularity) and can simulate mirror reflections. The Renderer uses Phong rendering by default unless ray tracing is enabled.

Phong Smoothing - This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

Ray Tracing - A complex rendering method that accurately renders mirror effects, transparency, shadows, and refraction (bending of light through clear surfaces). Ray tracing is the most realistic rendering available but is also the most time consuming.

Selection Status - Each vertex in a model can be in one of three states, Selected, Deselected or Hidden. Selected vertices are manipulated with Tools and Actions. Deselected Vertices are not affected by tools or actions even if connected to selected vertices. Hidden vertices are never drawn but remain as part of the model until revealed.

Texture - A texture is an algorithmic procedure that can add fine detail to the appearance of surfaces in the model. Examples are Wood and Marble finishes.

Skeleton - The Skeleton and the Names Hierarchy are one and the same thing. The Skeleton in addition to facilitating a hierarchical naming system for set of vertices provides a way of deforming parts of the model.

Skeleton Joint - The Skeleton is made up from a number of Joints, each Joint has a "long bone" associated to it and a "node" at one end. Each bone is attached to one other Joint at it's node or the "Root node".

Specular Highlight - Shininess is simulated by what is known as a specular highlight. Basically, the more shiny a surface the smaller the specular highlight. For example, plastic material has a less shiny appearance than tin, so a plastic bottle will have a larger specular highlight than a tin can.

Vertex - A distinct point in 3D space represented by a yellow dot if selected or a purple dot if deselected.

Working-Volume - The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that details on a model can be constructed without having the screen cluttered up by every vertex and edge in the whole model in view at all times. The three right angle view windows are views into the Working-Volume, normally they are a Top view which looks down, a Side view and a view from the front or rear.


Quad View

This is the Animator screen displaying all four views simultaneously.

The three Views with buttons labeled TOP, REAR, and SIDE are show views into the Working-Volume. The labeled buttons located in the upper left corners of their respective windows, will toggle the Animator screen between Single View and Quad View. The window in the upper right hand corner labeled CAMERA displays the view from the active camera.

The Status bar along the bottom of the screen displays helpful information. The left-hand section shows which (if any) Actor is selected. The right-hand section displays information about the tool, button or area the mouse cursor is currently over. You can quickly become familiar with the Animator by moving the mouse cursor around and reading the comments in the status bar.

The Camera Frames palette lies below the Camera window. It controls which frame in the animation is currently displayed and also controls the quick preview wireframe playback.


Single View

This is the Animator Screen displaying a large single view.

The Status bar along the bottom of the screen displays helpful information. The left-hand section shows which (if any) Actor is selected. The right-hand section displays information about the tool, button or area the mouse cursor is currently over. You can quickly become familiar with the Animator by moving the mouse cursor around and reading the comments in the status bar.

The buttons labeled TOP, FRONT, SIDE, and CAMERA located in the upper left corners of their respective windows, will toggle the Animator screen between Single View and Quad View.

The Camera Frames palette lies below the Camera window. It controls which frame in the animation is currently displayed and also controls the quick preview wireframe playback.


Objects

Actors (Some animation programs call these Objects)

There are 12 types of Actors used in the Animation module. Each Actor is represented by an icon. The Camera, Light and Target have easily identifiable icons that appear in the Working-Volume view windows. The Model, Morph Cycle, and Robot Actors are represented as either bounding boxes, wireframes or outlines. The Sky, Image Effect and Director have no visual representation, CSG Actors are always draw with a bounding box and the Ground is represented with a dot, rectangle, or line. The Path Actor is represented by a segment of connected or unconnected lines with square nodes.

The first three, Model, Morph Cycle, and Robot will all be visible in a rendered animation if they are wearing a costume and are in front of the camera in the current frame. Their costumes are designed in the Design module and what Actor wears what costume is specified through the Actors costume timeline.

The next group of three, Sky, Ground and CSG will also be visible under the same conditions but their costumes are very simple to specify and this is done exclusively in the Animator module.

When an Actor's costume timeline is created, either explicitly in the keyframer or implicitly by the direct addition of an Actor, the animator presents an appropriate dialog to specify things like Sky color, Ground texture etc.

The Image Effect is a special type of Actor that applies an Image processor to the final rendered frames of an animation. The Image Effect is not visible in the Window boxes.

The remaining five Actor types, Camera, Light, Path, Director and Target will not be visible in any rendered images but they are very important in the production of an animation.

Model
This type of Actor wears a costume that is a Model designed in the Designer. A Model Actor can wear more than one costume during an animation, which costume it wears is specified in the costume timeline. Any change of costume takes place at a keyframe. If an Actor changes costume, and those costumes are compatible, the Actor can be instructed to morph (change shape) gradually from one shape to another.

Morph Cycle
The Morph Cycle Actor also wears an costume designed in the Designer, but two or more Models are brought together specifically for Morphing. A set of Model costumes are manipulated as a single entity. They are very useful when it is necessary to use a sequence of several "morphs" in an animation.

Camera
Camera Actors provide the eyes through which the action is viewed. There must always be at least one Camera, there may be more but only one at a time can act as the viewpoint.

Target
Targets are useful as a point to aim the camera at and for setting actions which must occur at the same place but at different times.

Light
The Light Actor provides illumination for the animation, if multiple lights are present then it is a good idea to dim each of the lights. Lights may cast shadows without adding any illumination or cast no shadows at all. Spotlights have a cone of extent and their shadows can be nearly photorealistic.

Path
A Path Actor is used by the other Actors when their movement is most conveniently described by a smooth curve. The speed with which the Actors moves along a path is specified by a Velocity curve. Path costumes may be open, closed or loaded from previously saved PTH file. Paths are not visible when the animation is rendered.

Sky
A Sky Actor forms the backdrop in front of which the animation is played out. Only one Sky Actor is permitted in any animation.

Ground
A Ground plane is a horizontal solid surface that is flat and extend to infinity in all directions. It may wear multiple costumes and have textures and image maps applied but only one Actor of this type may be present. In the view windows the horizon is drawn as a line in the Front and Side views. A rectangle represents the ground in the Top view, it may be moved, rotated or scaled if the appropriate timelines are added.

Image Postprocessing Effect
Image processes take a completed rendered image and modify it in some way. Any topic that can be classified under the heading of Image Processing can be incorporated into an Image processor. Examples are Lens Flares, Video Special Effects, Fog, etc

Robot
The Robot Actor uses a model that has a skeleton. The skeleton can be manipulated (in an analogous way to the way it is manipulated in the Designer) at the costume timelines frames. In the intervening frames the position of the joints in the skeleton are interpolated so that models appears to move smoothly between two poses of the skeleton. When a Robot Actor is drawn in the Animator Working-Volume it is represented by the skeleton itself. If the Actor is selected the Vertex Selector Tool can be used to select joints and pivot the skeleton of the Actor.

CSG
CSG Actors represent some basic geometric shapes that have curved surfaces which would require a large number of triangular faces to model accurately and render smoothly. CSG Actors can have spheres, disks, cylinders, or tubes as costumes. A first order subtractive intersection can be arranged between solid CSG's. Note: CSG Actors do not cast shadows or appear in reflections.

Director
The director is used to specify which camera is active. In no director timeline is present the default camera is active. Only one director may be present in each OFX file. Each director timeline indicates one camera: the one that is used to capture the scene on camera. To switch between cameras add several timelines and in the Keyframer choose which camera to use.


Camera View

The Camera view displays a three dimensional rendering of the active camera's viewpoint at a specified frame.

The frame number displayed is specified using the Camera View Animation Controls at the bottom of the Camera window.

The Camera View defaults to using OpenGL shading. You can quicky toggle between the shaded OpenGL Shaded Camera view and the Wireframe Camera view by pressing F11 or right clicking on the Camera window and choosing "Hide/Show OpenGL Camera View".

See also:
Hidden Line Camera View
Quick Render Preview


OpenGL Shaded view

Shaded View - OpenGL

The OpenGL Shaded Camera view displays a shaded rendering (with or without image maps) of the Camera View.

OpenGL with Image Maps On

The OpenGL shaded Camera View defaults as on. You can quicky toggle between the shaded OpenGL Camera view and the Wireframe Camera view by pressing F11 or right clicking on the Camera window and choosing "Hide/Show OpenGL Camera View".

You can turn off the display of image maps by right clicking on the Camera window and choosing "Image Mapping Off". Shaded rendering is faster and uses less memory if image mapping if off, especially if large sky images are present.

OpenGL with Image Maps Off


Wireframe Camera View

The Wireframe Camera View displays a wireframe rendering of the Camera View.

To display the Camera View in wireframe mode, you can invoke the Hide OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.

Note you can also draw the Camera view with hidden lines removed by right clicking on the Camera window and selecting the Draw Hidden Line context menu.

To toggle the OpenGL Shaded Camera View back on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.


Hidden Line Camera View

Displays the Camera View with hidden lines removed so that edges that are obscured by the faces in front of them are not displayed.

Draw the Camera View with hidden lines removed by right clicking on the Camera window and selecting the Draw Hidden Line context menu.

Hidden Line Wireframe Rendering

Normal Wireframe Rendering

To toggle the OpenGL Shaded Camera View back on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.


Quick Render

Quick Render to Camera View

Renders the current frame directly in the Camera View.

Quick Rendering uses full Phong rendering with maps, textures, reflections, etc.at an antialiasing level at medium. Great for quick previews! F12 is the hot key for Quick Render.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays color banding and renders significantly slower.


Camera View Animation Controls

These Camera View Animation Controls reside below the CAMERA window. They enable you to specify which frame is currently displayed, move to keyframes, and quick preview animations. At the bottom right corner of the camera window is the current frame indicator. You can move to a specific frame by entering the frame number into the Frame Number button.

Frame Toggle Bar
Go to Previous Keyframe
Go to Next Keyframe
Play Animation
Play Bounding Box
Frame Number Button


Frame Toggle Bar

Frame Trackbar

Click and drag the trackbar to flick rapidly through all the frames in the animation. As you track through the animation the frame number is updated in the Frame number button.


Go to Previous Keyframe

If an Actor is selected and it has a Costume assigned, then clicking this button will set the current frame to the keyframe at the beginning of the timeline. If the Move tool is active then the keyframes of the Movement timeline are used by this function. Similarly for the Rotate and Scale tools. If the Selector, Pan or Zoom tools are active then the Actor’s Costume timeline is used by this function.


Go to Next Keyframe

If an Actor is selected and it has a Costume assigned, clicking this button will set the current frame to the keyframe at the end of the timeline which includes the current frame. If the Move tool is active then the keyframes of the Movement timeline are used by this function. The same is true for the Rotate and Scale tools. If the Selector, Pan or Zoom tools are active, the Actor’s Costume timeline is used by this function.


Play Animation

Play Animation in Wireframe Mode

Preview the animation in the camera window. If the Camera window is displayed using OpenGL shading, the animation preview will be played with models showing the full wireframe edges. If the Camera window is displayed in wireframe mode, then the animation preview will be displayed showing only a percentage of the model's edges.

If the animation playback is too slow, use the Preview function available under the Frame menu. Click on Stop to stop the playback and set the current frame to the frame which the playback has reached. Click on Cancel to keep the frame in which the playback was started as the current frame.

Note
To preview the animation with OpenGL shading, select Update OpenGL Script Viewer from the Window menu or press the F12 key.


Play Bounding Box

Play Animation in Bounding Box Mode

Preview the animation in the camera window using bounding boxes or the bounding shape that has been built into the model.


Frame Number Button

Displays the current frame number.

You can move to a specific frame by clicking on the Frame Number button and typing in the frame number in the Go to.. dialog.


OpenGL Settings

The OpenGL Settings dialog enables you to select the display properties of the Camera View OpenGL Shading.

Flat shading - Renders model without smooth shading. Shows facets on models.

Fast Mapping Approx - Increases rendering speed if Show Image Maps enabled.

Show Image Maps - Renders model with image maps displayed

Anti-Alias - Renders with anti-aliasing enabled. Very slow and memory intensive.

Accelerate for Hardware (No Mapping) - OpenGL renders quicker if an OpenGL hardware accelerator is installed. Will not render with image maps if this option enabled.

Depth Cue Light - Increases lighting saturation.

Fog - Renders with fog.


Animator Tools

Tools

Describes the functions of the Animator's Tool Palette.

Click on the individual tool for more information on its functionality.


Object_Selector_Tool

Actor Selector Tool

Select the current Actor by clicking on its wireframe in the Working-Volume view windows.

The selection state of an Actor is indicated by the color it is drawn. A selected Actor is drawn in yellow.

Double clicking on an Actor will show an Edit Actor dialog. The contents of the dialog depend on the Actor type. For example, an Actor using a Model as a costume will have an edit dialog that allows the costume to be changed or to have a special effect added. All Actors other than the Camera can change the extent of their Costume timeline.


Vertex_Selector_Tool

Vertex/Node Selector Tool

Select and move a Path node, Spline-tween path node, or Robot Joint.

This tool is sensitive to the type of actor it is applied to and its action depends on the state of the Spline-Tweening toggle in the Edit menu and on the type of Actor selected.


Hand_Tool

Movement Tool

Move the Working-Volume around the world to view the model.

Click and drag to move the Working-Volume so that other regions of space are moved into view. For example, clicking and dragging in the Top view moves the Working-Volume in the X/Y coordinate plane.

Double clicking on the Hand Tool centers the view on the 3D cursor.


Zoom_Tool

Enlarge or contract and center the Working-Volume.

Click and drag to define a region that will be enlarged or contracted to fill the full Working-Volume. The magnification factor will be adjusted so that the Working-Volume remains cubic.

Double clicking on the Zoom Tool zooms out to show everything in the center of the view.


Move_Tool

This tool moves the selected Actor to a new location.

Click on Actor to select it. Click anywhere in the view windows and drag mouse to move the selected Actor.

Double click the Move Tool to bring up the Move dialog. Note an Actor must be selected for the Move dialog to appear.

To move the selected Actor interactively by 1 pixel, use the arrow keys on your keyboard. To move interactively by 5 pixels, hold down the SHIFT key while using the arrow keys on your keyboard.


Rotate_Tool

This tool rotates the selected Actor about its center point.

Click and drag anywhere in the view windows to rotate selected Actor.

Double click the Rotate Tool to bring up the Rotate dialog. Note an Actor must be selected for the Rotate dialog to appear.

To rotate the selected actor interactively by 1° increments, use the left or right arrow keys on your keyboard. To rotate interactively by 5° increments, hold down the SHIFT key while using the left or right arrow keys.


Scale_Tool

This tool scales the selected Actor about its center point.

Turn on check boxes in Scale dialog to indicate to which coordinate scaling will be applied. Click anywhere in the view windows to scale selected Actor about its center point.

Double click the Scale Tool to bring up the Scale dialog. Note an Actor must be selected for the Scale dialog to appear.


Insert_Tool

Inserts Actors such as Models, Lights, Cameras, etc. into the Animator.

Actors are inserted at the location of the 3D Cursor.


Insert Model

Inserts Models into the Animator at the location of the 3D Cursor.

Select the model to be inserted from the Select Model dialog when requested.

Models are added as Model1, Model2, etc. Models may be renamed from the Edit Rename Actor... menu item.

Models can also be inserted with specific names from the Edit Insert Actor... (Ctrl+A) menu.


Insert Morph Cycle

Inserts Morph Cycles into the Animator at the location of the 3D Cursor .

A Morph Cycle is composed of a set of models that are manipulated as a single entity. It is useful when the repeated use of a sequence of several morphs are used in an animation. For example, a simple walking figure can be made by using 4 key costumes which are repeated on an 18-frame cycle as the morphing model follows a path. (Note that in many cases the use of a Robot is a better procedure to simulate walking and animated figures).

A Morph sequence file (with extension .ANI) will be requested when creating a costume timeline for a Morph Actor. A further prompt will ask for the number of times the animated sequence is to repeat during the animation. The sequence of timeline time slots will then be adjusted so that the Morphs fit their action into the time allotted. A morph sequence file is written from a command on the keyframer menu.

To understand the use of a morph cycle consider the following example:

A walking sequence is constructed with four models of a walking figure that form a cycle every 18 frames, the first model in the sequence is repeated in frame 18 `to close the loop'.

In the keyframer (snapshot shown below) the basic "walk" Actor has 5 costume timelines and morphs between the scene files in order:

Frame | Actor "walk's" Costumes
1 | step1.mfx
6 | step2.mfx
10 | step3.mfx
14 | step4.mfx
18 | step1.mfx (again) to complete a repeating cycle)

Suppose now you want to build an animation where the figure walks along a path for 150 frames. It would be very tiresome to have to enter a very large number of keyframes every 4 or 5 frames. This is where the Morph Cycle comes in. We can use our simple 18 frame animation to create a Morph cycle file representing the Actor "walk".

The first thing that we must do is save the basic morph sequence to a file by selecting the "Save As Morph" option from the "walk" Actors pop up menu:

With this information recorded the sequence of images can be reused over and over again. When it is inserted in an animation it can be repeated and scaled to fill any available time slot. Considering again our 150 frame animation we can insert the morph cycle so the 18 frame sequence is repeated 8 times - and all with one simple insert command!

Note that an 18 frame sequence does not repeat exactly an even number of times in 150 frames (it is in fact 8.3333), when the morph sequence is inserted it will be automatically scaled to best fit the available time. If we had wanted to be rather obscure we could have chosen to insert only one copy of the morph cycle giving key frames at 1,48,80,112,and 150 (a very slow motion walk indeed!)

If we had chosen to insert one cycle of the saved "walker" morph in an animation of 30 frames then the keyframes would be located during frames 1,9,16,23, and 30 and the walker would appear to move at half the speed of the basic morph, (Morph1 below), if we had chosen to insert two cycles then the walker would move at approximately the same speed as the basic morph, since 30 frame is about twice the length of the 18 frame morph sequence, (Morph2 below).


Insert Camera

Inserts a Camera into the Animator at the location of the 3D Cursor.

Cameras are added as Camera, Camera2, etc. Cameras may be renamed from the Edit Rename Actor... menu item.

Cameras can also be inserted with specific names from the Edit Insert Actor... (Ctrl+A) menu.

Note that a selected Camera can be activated by from the Edit Active Camera (C) menu.


Insert Target

Inserts Targets into the Animator at the location of the 3D Cursor.

Targets are useful for tracking Cameras and Spotlights to specific points without using a visible Model.


Insert Light

Inserts Lights into the Animator at the location of the 3D Cursor.

The Light Settings dialog enables you to specify the type of Light to be inserted.

Multiple lights can increase rendering time and lead to an over saturated image (too bright). In a scene with multiple lights the brightness for each light should be reduced so the total value of all lights is still within reason. At least one light must be present to illuminate the scene. If no lights are present, the Renderer will automatically turn on a Camera Light which follows the Camera's position.


Insert Path

Inserts a Path into the Animator at the location of the 3D Cursor.

A Path is a spline passing through a number of control nodes. A Path Actor is not visible when the animation is rendered. It is used by other Actors to track their movement along a smooth curve. The speed the Actor moves along a Path is specified by a Path Velocity Curve. Path types may be open, closed, or loaded from a previously saved PTH file.

The shape and number of control points of a Path can be edited with the Vertex/Node Selector Tool. A Path node is selected by clicking on it. The action performed depends on the option indicated in the Path Editor dialog.


Insert Sky

Inserts a Sky into the Animator.

A Sky Actor forms the backdrop in front of which the animation is played out. No movement, rotation, or scale timleine is needed for the Sky. Only one Sky Actor is permitted in any animation.

The type of Sky to be used is specified in the Sky Settings dialog. Options include Plain Color, Graduated, Environment Mapped, Backdrop, or an Animated Background.


Insert Ground

Inserts a Ground into the Animator at the location of the 3D Cursor.

The ground plane is special because it extends to infinity in all directions and can have shadows cast on it by model type actors. The shadow on the ground is obtained without the need to ray-trace the image. Using a shadow requires extra memory (at least 64k), but it only increases rendering time by a few seconds.

The Ground Settings dialog enables you to specify the type of Ground to be inserted. Grounds can be solid colors, patterned with texture, or have an image map applied. Grounds can also have a reflective surface.

It is not possible to tilt the ground. However, you can bank the camera, which will give the ground the appearance of being tilted.


Insert Image Effect

Inserts an Image Processor Effect choosen from the Select Image Processing Module dialog.

Image processes take a completed rendered image and modify it in some way. Any topic that can be classified under the heading of Image Processing can be incorporated into an Image processor. Examples are Lens Flares, Video Special Effects, Fog, etc. The Renderer's post-processing can do much more than this because it is possible to store depth information during the rendering process and to mix in other image and depth information during the image post processing phase.

Any number of Image processor effects can be added to each animation, they are applied in the order they are listed in the dialog box and apply for the specified number of frames..

Each will have their own particular list of parameters and settings and all the relevant information is recorded in the OFX aniimation file along with the other animation details. As is the case with the textures and Animation effects it is possible to write third party plug-in Image Processors..

Note the Video and XVideo effects alone contain fifty (50) individual video effects. Each is held in a EFX file in the PSOTPRO folder.

Important Note: All image processing effects require that the Full Screen Buffer is turned ON, and some require that the Z screen buffer is ON as well. This is done by turning on a check box in the Render Options dialog. These settings are ON by default.


Insert Robot

Inserts a Robot Actor into the Animator at the location of the 3D Cursor .

A File Name dialog is displayed requesting the name of an MFX model that is to be used as a Robot. The selected MFX model must have a skeleton to work as a Robot.

Robots are effectively already morphing, therefore they may not be morphed from one Robot model to a different model. A Robot Actor will need a sequence of short costume timelines all with the same Robot model at different poses. The Robot is posed and manipulated in the keyframes at the end of each timeline.

See also:
Robot Posing


Insert CSG Object

Insert CSG Actor

Inserts a CSG Actor into the Animator at the location of the 3D Cursor.

Choose the type of CSG Actor from the CSG Setup dialog.

CSG Actors can either be additive or subtractive. CSG Actors such as tubes and disks have no volume which makes subtraction meaningless. The Add option is automatically selected for volumeless CSGs. If you intend the CSG to be used to cut a hole in another CSG, then click the Subtract button. Otherwise click the Add button.


ZZZZ_INCOMPLETE

Help is not available on this topic yet.


Render Tool

Clicking on the Render Tool launches the Renderer dialog.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File-> Quick Render (F12).

The renderer defaults to a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.


Render Control Tab Page

Renderer Control Tab Page

The Control page of the Renderer offers additional control parameters.

Resolution - Choose the resolution to which the image is rendered. Choose one of the presets or enter the number of horizontal and/or vertical pixels in the edit controls. The number of pixels in the image is horizontal resolution multiplied by the vertical resolution. The higher the resolution the longer it takes and the more memory it needs to render the image.

Anti-Aliasing - Choose the level of anti-aliasing. In low resolution modes the appearance of an image can be improved if it is anti-aliased. Basically, anti-aliasing smoothes out some of the 'jaggies' that are visible at the edges of colored regions in the image. Anti-Aliasing is very time consuming: it will take a little under 4 times as long to render a Good anti-aliased image than an image with no anti-aliasing. Using Best level of anti-aliasing, the image will take approximately 9 times longer to render than a non anti-aliased one.

Accelerated Anti-Aliasing - Accelerate the anti-aliasing process, with small quality reduction. Normally anti-aliasing an image increase the rendering time quite significantly, up to 9 or 10 times for a setting of Best. The main effect of anti-aliasing is seen near the edges of models or where faces with different colors join. Pixels in the interior of faces benefit very little from anti-aliasing. When this option is selected, anti-aliasing is applied near the edges of faces and not in the center. For most models this is as good as full anti-aliasing and it can be up to 3 times faster. Images with models that have image maps or shaders, where there is quite a bit of detail in the interior of faces, will not benefit as much from having their anti-aliasing accelerated.

Dithering - Choose the type of dithering. 24 bit images do not require dithering. Dithering is the process that reduces the banding effect evident on systems with a limited color palette. The standard 256 color VGA adapter is often insufficient to display an image without some degree of banding. A 24 bit display adapter is required for color resolution high enough to eliminate banding.

There are two methods of dithering. The Floyd-Steinberg error distribution procedure is very effective at removing the banding in single images. However, it is not always suitable for animations. Noise dithering, although not as high quality as Floyd-Steinberg, is consistent from one frame to the next, so it is more suitable for animation. Values of 10 to 30 usually give good results.

Image Format - Select the file format into which the image or images will be stored. This automatically determines the color resolution in the image. For an single image or multiple still images the GIF format uses an 8 bit palette, while the TGA and TIF formats are either High-Color or True-Color (16 bit or 24 bit).

Animation Type - Select whether animation type is a FLIC file, AVI file, or animated GIF file. Note FLC files will not be compressed if the resolution higher than 640x480 pixels.

Image Name - Name the image and the directory to which it is to be rendered. The default image directory is "Render".

Animation Name - Name the animation and the directory to which it is to be rendered and compressed. The default animation directory is "Movies".

Current Frame - Specify which frame of an animation is to be rendered.

Range - Specify a range of frames to be rendered.


Render Options Tab Page

The Options page of the Renderer offers additional control parameters.

Hidden Line Drawing - Render the image in hidden line mode. Hidden line mode is the fastest method of rendering an image.

Anti-Alias Ground Reflector - Anti-alias the non ray traced ground reflections. Default is off.

No Smoothing - Override the Phong smoothing applied to faces in the model and render all corners. This makes the Renderer operate as quickly as possible because image mapping is also disabled.

Reduce Saturation - Post processes rendered image to remove NTSC illegal colors.

Write Interlaced GIFs - Writes all GIFs in the interlaced method. Note that this is still a GIF 87 type image.

Ground In Alpha Timeline - Creates an alpha timeliine with the ground in the image.

Write Separate Alpha Timeline - Writes a separate alpha timeline for each image. Ground is not included unless specified.

Use full screen buffer - Render all pixels to a memory buffer before writing the final or temporary image file. The full screen buffer holds, for each pixel, the red, green and blue color values visible at that point in the image. Its use can speed up rendering, and the image post-processors require it. If the image size is X pixels wide by Y pixels high the size of the buffer is 4*X*Y bytes, therefore it needs quite a lot of RAM and it should not be used unnecessarily.

Z depth buffer - Create a buffer holding depth information for the image. The Z buffer holds, for each pixel, the distance that the surface visible in that pixel is away from the Camera. A Z buffer is needed by some image post-processing effects. It uses up a lot of memory, about 4*x*y bytes where x = horizontal resolution and y = vertical resolution. Therefore, only use it if the animation uses a post-process effect such as Fog that requires the z-buffer.

Use actor ID buffer - : Makes a buffer available to External Image Processors that identifies which actor is visible in every pixel in the output image. It takes quite a bit of memory so switching it on is optional.

Show Image While Rendering - Displays a preview image in the Rendering Status Window during the rendering.

Startup Preferences - Enables preference settings to override the defaults.


Render Settings Tab Page

The Settings page of the Renderer offers additional control parameters.

Animation Speed - Set the speed value built into the FLI/FLC files. The value is in jiffies, zero implies the animation will play as fast as possible.

Smoothing Angle - Set the maximum Phong smoothing angle. If the angle between any adjacent faces exceeds this value, the Phong smoothing is automatically turned off for those faces. This switch can help eliminate artefacts that sometimes appear in an image if the smoothing in a model has been set inappropriately.

Ambient Lighting % - Overrides the ambient light settings usually specified in the Sky Actor. A maximum of 30% works quite well, values greater than 70% produce images that have very little contrast.

Shadow Density % - Specify the darkness of shadows cast on the Ground. Set the density of the shadows. 50% is the default, 100% gives completely black shadows, 0% gives no shadows at all.

Spotlight Buffer - Alter the resolution of the shadows cast by spotlights. The shadows created by the spotlights require a block of memory. A setting of 320 reserves a block of memory of 256k for each spotlight. The size of the block dictates the smoothness of the shadow. A value of zero implies that a spotlight will not cast a shadow. You can calculate optimum settings for best results by multiplying the number of pixels by 4 (e.g. 320x200x4=256,000 bytes required).

Hidden Line Angle - Maximum angle for planar faces in hidden line mode. When the Renderer is generating hidden line images, if two faces are adjacent and the angle between then is less than this value the common edge is not drawn. A high value of this setting will result in only an outline of the model appearing in the image, which is useful for drawing cartoons. This parameter is disregarded if the faces have different colours. A value of zero will result in all visible edges being drawn.

Noise Value - Set the value for noise dithering. The higher the noise dithering value the more grainy the image will look.

Motion Blur - Higher values generate Motion Blur. The normal range is 0-10. When a number outside this range is entered the full integrated motion blur comes into play.

Digits in Filenames - Specify the number of leading zeros in a Rendered filename.

JPEG Picture Quality - Specify the JPEG compression quality. Higher quality creates larger file sizes.

Number of threads - Enables selection of 1-16 threads or have the renderer automatically determine the number of processors and farm out one thread per processor.

Personal Settings - Gives ability to save and load personal settings other than the defaults.


Render Trace Tab Page

Render Tracing Tab Page

The Tracing page of the Renderer enables Ray Trace rendering to be used. Turning on any of the Tracing options instructs the Renderer to use ray tracing where appropriate.

Trace Shadows - All shadows will automatically be ray traced.

Trace Reflections - All reflective surfaces will automatically be ray traced reflections.

Trace Glass - All glass surfaces will automatically be ray traced reflections with refraction if specified.


Menus

Describes the functions of all Animator Menu commands.


File Menu

Describes the functions of the Animator's File Menu commands.


File New

This command clears all the information belonging to an animation. Prior to using this command, you should save the animation with the File-> Save menu command if you have made changes and do not wish to lose them. A confirmation dialog will be displayed each time the File-> New menu command is executed.


New From Template...

Animation templates are used to set up simple animations such as a model rotating in front of the Camera. The template requires a few options to be chosen from the Whch Template dialog box below.

The names are generally self-explanatory. In each case an additional dialog lets you pick the model(s) to be used. In the case One frame With Ground, an additional dialog allows you to choose the color of the ground.


Standard One Frame View

This template generates a one frame animation with one camera, light source, model, and a sky.

You will be requested to choose a model after selecting this template.


One Frame with Ground

This template generates a one frame animation with one camera, light source, model, sky, and a ground.

You will be requested to choose a model and ground color after selecting this template.


Animate Rotating Model

This template generates an animation with one camera, light source, model, and sky.

You will be requested to choose a model and the number frames for the animation after selecting this template. The animation will consist of the model you selected rotating through the verticle axis for the number of frames chosen.


Model on open path

This template generates an animation with one camera, light source, sky, and a model traveling along an Open Path.

You will be requested to choose a model and the number frames for the animation after selecting this template. The animation will consist of the model you selected moving along a straight path for the number of frames chosen.

Note the Node/Vertex tool can be used to modify the shape and number of points describing the path.


Model on closed path

This template generates an animation with one camera, light source, sky, and a model traveling along a Closed Path.

You will be requested to choose a model and the number frames for the animation after selecting this template. The animation will consist of the model you selected moving along an oblong path for the number of frames chosen.

Note the Node/Vertex tool can be used to modify the shape and number of points describing the path.


Model on loaded path

This template generates an animation with one camera, light source, sky, and a model traveling along a Loaded Path.

You will be requested to choose a model and the number frames for the animation after selecting this template. The animation will consist of the model you selected moving along the loaded path for the number of frames chosen.

Note the Node/Vertex tool can be used to modify the shape and number of points describing the path.


Travellers

This template enables the easy generation of a set models traveling in procession along a path.

Great for creating a flying logo where each letter of the logo independently travels (where each letter is like a car in a train) along the path.

Select the number of frames, loaded path type, model at the head of the procession, and trailing models as requested. Press the cancel button once all models in the procession have been loaded.

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


Create Spanning View

This template generates comprehensive multiple 3D views of a model that span all spherical views.

Choose a model to view, make desired camera, sky, and lighting changes, and render a series of GIF images. The 3D Viewer program (3DView.exe is found in the root directory) can view a sequence of GIF images rendered from this template.

Some games may find this useful.


Open Animation Dialog

Open...

Brings up the Open Animation dialog for loading a pre-existing animation.

Animation files must have the filename extension OFX. Choose the name of the animation file that you want to load from the Open Animation dialog box that is displayed.

If you are already using an animation that has unsaved changes, a confirmation dialog will ask if you want to save those changes before proceeding.


Save Animation Dialog

Save

This command saves the current animation to a file under its current name.

Use this command to save your work frequently as you make changes.


Save As... Animation Dialog

Save As...

This command saves the current animation OFX file to a file under a new specified name.

Use this command to save your work frequently as you make changes.


Export Animation Dialog

Export

This command writes an Animaton or Frame script file that will drive the Renderer, in stand alone mode, to produce an animation or single frame.

The script file must have a filename extension of SCR. A script file is a standard ASCII text file and may be transferred to another computer or workstation for rendering. This conserves RAM so you can render more complex images in machines with less memory than would be required when rendering from within the Animator.

Also useful for breaking up an animation and rendering segments on multiple systems.


VRML_HELP

Export Virtual Reality Modeling Language

There are two elements to the exporter, the Designer VRML Export writes "Indexed face sets" to describe the vertices and faces in the model, the Animator VRML Export writes a VRML file that places models in a scene adds a background and places viewpoints and paths that the camera follows.

Designer VRML Export

Use this option to write VRML (.WRL) versions of the part of themodel in the designer that is currently selected. (Has its vertices selected). Use the Options to determine whether the VRML file should have indendentations, and the number of digits of accuracy used to write the VRML text. Any image maps may have an optional prefix that replaces their file root.

  • Indentation
  • Use Prefix
  • Digits of Precision
  • Create Normals
Indentation

Makes reading or editing the VRML file in a text editor much easier to do. However it also makes the files larger

URL Image Prefix

Each Image map is stored with its full path stored in the model file. For VRML

Digits of Precision

Vertex coordinates are written in a floating point format, with this option you can choose how many digits of precision are used to write each coordinate. For example if 3 Digits of Precision are used the coordinates are written in the form 4.533, 16.732 etc.

Normals

A set of normals at vertices can be generated based on the angles of faces next to each vertex. Only faces that have their smoothing attribute set contribute to the vertex normals.

Important Notes

To build the most efficient VRML representation from a model the following conventions should be noted and if possible followed:

  • A separate VRML shape is created for each entry in the skeleton hierarchy. Therefore a large model should be divided into sub units and each individual one assigned to a separate node (bone). This is essential if an image map is applied to any faces in the model and will help in reducing the size of the VRML file if multiple colors are applied to faces.
  • Each face mesh assigned to a skeleton node is tested to see if an image map is a applied to any of the faces in the mesh. It is only possible to use one image map for each group of faces assigned to a skeleton node therefore if your model uses more than one image map or some of its faces are mapped and some not then those faces which are mapped should be assigned to separate skeleton nodes.
  • Another important step you must make before writing a VRML file that uses mapped surfaces and that is all mapped surfaces must use glue mapping. If you have planar, cylindrical or spherical mapped faces then mapping coordinates must be generated from the the planar map etc.
  • Reflection, transmission and bump maps and textures are not exported to VRML.
  • If a model contains surfaces with a few different colors then the efficiency of the VRML file will be improved if you group all faces using the same color and assign them to one skeleton node. Doing this will enable the VRML writer to use a single Material attribute for each shape rather then having to write a color index for each face in the model.

Animator VRML Export

The animator export dialog offers a number of options some of whch are the same as the Designer options:

The additional animator options are:

  • Viewpoints at Camera Position Keyframes. A camera viewpoint which can be acessed by browsers is written to the VRML file for every Position Keyframe of the active Camera.
  • Interpolate Camera With Time sensor. Position and Orientation Interpolators are written for the active Camera at regular frame intervals throughout the animation.
  • Background Environment URLs Provide the names of six images that are used for the environment in which the action takes place.
  • If a Sky and Ground are included in the animation then they will be represented in the VRML output file.

VRML References

Silicon Graphics. vrml.sgi.com

VRML Resources, Sites etc. Virtual Reality - VRML

VRML Developer Content Developer


Quick Render

Quick Render to Camera View

Right click on the Camera or view Windows and choose Quick Render to quickly preview a frame with phong rendering (OpenGL renders as Gourand) using maps, shaders, reflections, etc.

Note that the Quick Render option is not available whenOpenGL display is on.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays colour banding and renders slower.


Render

This launches the Renderer without any intermediate steps if the Renderer Setup or Render Tool has been run previously.

This is a fast way to re-render an image to a size larger than the Quick Render option. Especially useful for a rapid series of test images.


Render_Setup

Render Setup...

Launches the Renderer.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File > Quick Render (F12).

The renderer defaults to a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.


Print

Select an image file to print.

The Print function is intended to enable users to make quick-and-dirty prints of renderings, screenshots, maps and other images useful in documenting animation projects. It converts the specified image file to simple black-and-white and prints using the default Windows printer driver installed in the user's system. The Print function is not intended to do justice to the final output of the Renderer. For that level of print quality, it is recommended that the user output to film or some other 24-bit medium that can display a full range of colors.

To set up printing options consult your Windows User Guide for details.


Preferences

Specifies the General, Startup, Model Paths, and Image Paths Preference Settings for the Animation Module.


Preferences General Tab Page

General Preference settings.

Quick Drawing Trick - Enables a drawing subroutine that clips any line of less than 3 pixels, greatly speeding up redraw on complex models in small views.

Hold Undo File - Enables the Undo facility. Unchecking this item will speed up operations but deactivate the Undo facility.

Show Ground as Horizon Only - If checked, the ground is drawn in the Camera View wireframe mode as a horizon line only. If not checked, the ground is drawn as a grid with scaling as set in the Ground Scale Settings.

Tool Palettes on Left - If checked, places the tool palettes on the left side of the screen. Can also right click on tool palette to toggle.

Use Small Tool Icons - Enables the small tool icons without tool names. Can also right click on tool palette to toggle.

Show Tool Tips - Shows tool tips.

Size views to show all actors after a new one is loaded - Automatically resizes the window box to display all Actors in the loaded animation.

Use OpenGL for Robot Pose - Displays the Robot-View window with OpenGL shading.

Set Wireframe Detail - If checked, wireframe detail is drawn according to the number of edges specified. For example: If "1" is specified, then all edges are drawn. If "2" is specified, the every other edge is drawn. If "3" is specified, then every third edge is drawn. etc. etc.

If not checked, then the automatic wireframe detail adapts the detail drawn in accordance with the size of the model.


Preferences: Startup Tab Page

Specifies the program Startup Preference settings.

Standard Windows Buttons - Reverts the view buttons to simple text.

Use Last Windows Positions- Saves previous window and dialog positions for recall if program restarted.

Use Background Image in View Windows - If checked, displays the textured background image underlying the Animator's Tool palette and Working-Volume.

Play Startup Animation After Launch - If checked, then any file called STARTUP.OFX (must be in root folder) is automatically launch and previewed in the Camera view if there is no other activity within four seconds of launching the Animator.

Hold Splash Screen for ______ Seconds - Defines the time (N = number of seconds) that the "Splash Screen" is displayed. If N is 0, then no splash screen appears. If N > 1000, then the splash screen remains indefinitely


Preferences Model Paths Tab Page

Specifies the location for models so that the renderer can load them.

Enables the renderer to find the location of models if not in the original saved model path. By default the renderer will look for models in the original Models subdirectory. If it can't find them there, it will look in the specified Path 1, Path 2, etc. directories.


Preferences Image Paths Tab Page

Specifies the location for image maps so that the renderer can load them.

Enables the renderer to find the location of image maps if not in the original saved image map path. By default the renderer will look for image maps in the original maps subdirectory. If it can't find them there, it will look in the specified Path 1, Path 2, etc. directories.


Most Recently Used Files

Displays the names of the most recently used OFX animation files

Select the animation you want to load frmo the list.


Exit Animator

This function closes all open Animator modules and quits the Animate module.

If there are any unsaved changes to the current animation, a confirmation dialog will ask if you want to save the file before closing.


Edit Menu

Describes the functions of the Animator's Edit Menu commands.


Undo

Reverts to the status before the last operation. This is not enabled with all functions, but if an operation cannot be Undone, a warning dialog will prompt you before the operation is executed.


Select Object...

Select Actor..

Select an Actor by name for further operations.

This enables you to leave the cursor in place while selecting another Actor. Very useful when the working animation is composed of a large number of Actors or when precisely positioning Actors using the Snap To functions.


Insert Object...

Insert Actor..

Add a new Actor to the current animation..

Select the type of Actor desired, and assign it a new name or accept the default. New Actor names are automatically numbered in the order in which they are created.

Actors are inserted at the location of the 3D Cursor.


Delete

Deletes the selected Actor from the current animation.


Info

Displays basic information about the selected Actor.

Each type of Actor has a different Edit or Info dialog. For more detailed editing, you must use the Keyframer or the Edit Menu items.


Rename Object...

Rename Actor...

Enables you to rename the selected Actor.


Costume

This command is used to add or delete a costume to a chosen Actor. A list dialog will appear to allow you to choose an Actor by name.

If the Actor already has a costume for the current frame then the message Costume already exists for this frame appears. Otherwise an action will be taken depending upon the type of the chosen Actor. The action will be the same as that for the Edit->Add Actor Command.

For example, if a model Actor is chosen, then the File Name dialog will appear so than you can choose an MFX model file for the costume.

If a costume is successfully added, a costume timeline will be created. The timeline will include the current frame and will extend in time as far as possible in both the forward and backward directions.


Special Effect...

This command is used to apply a special effect to a model during the rendering process.

It is important to note that the appearance of a model in the bounding box modes of the Animation module does not show the special effects. Effects are only visible when a wireframe is rendered.

Special effects deform the vertices of a costume or cause certain faces of a costume to disappear. Because these effects occur at the costume level, the position, rotation and scaling timelines are completely independent. However, the effect on the rendered animation is very dependent on the design of the model that the Actor is using as its costume. The number and size of triangular faces used are the most important factors in special effects. However, the order in which faces were created in the Designer can strongly influence the 'building' effects. Effects such as the waves rely on having enough vertices to show an effect. For example you can not see a wave passing through a rectangle consisting of two triangles. Subdividing the rectangle to at least 1000 faces will allow the effect to show to its full potential.

Effects may also be added or changed by editing a model's costume timeline in the Keyframer module.


Build Effect

The Build effect builds a model toward the camera over a range of frames.

At each frame more of the model's faces are revealed.


Buildto Effect

The Build effect builds a model face by face from thin air and builds it towards the camera.


Dissolve Effect

The Dissolve effect makes a model become transparent gradually, until it disappears.

Dissolve Fade

Dissolve Random


Explode Effect

The Explode effect - as you might expect - makes a model explode! You can set the center of the detonation, decide whether the pieces should fall under gravity or not, whether they should tumble, and more.

In the above examples, the model is broken up into many tiny pieces so that the explosion appears rather like a powerful wind blowing particles outward.


Fall Effect

The Fall effect makes a model fall down under the force of gravity. The bouncing behavior and elasticity are fully adjustable.


Flap Effect

The Flap effect is a simultaneous combination of the Wave and Modulate effects.

An Actor can flap in a linear or radial (circular) fashion, with an optional fade setting. As the name suggests, it is just the thing for waving flags or flowing robes.


Modulate Effect

The Modulate effect passes a wave through the specified axis of the model and moves the vertices radially outward.


Shake Effect

The Shake effect makes the model shake from its bottom to its top.

At low speeds, the Shake effect creates a swaying effect, as seen in this movie. At high speeds, it looks more like an earthquake has hit.


Spring Effect

The Spring effect makes an actor with a costume compress inward upon itself and then fling off at high speed.

It is similar to the Warp effect, and is generally used at higher speeds than this sample movie, to make a dramatic, cartoonish entrance or exit.


Squash Effect

The Squash effect compresses or expands an actor's costume in a specified direction. Unlike a simple scaling motion, the Squash effect causes the model to bulge outward, like a rubber ball.

Squash Verticle

Squash Horizontal


Twist Effect

The Twist effect twists or untwists an actor's costume around the specified axis.

Twist Up Down

Twist Left Right

You can adjust the amount of twist and the speed of the twist. If you were animating a growing flower, you could add a little twist, to give it some lift. Or you could apply a dramatic series of twists to a whole house for your next Hollywood disaster movie.


Unbuild Effect

The Unbuild Effect takes the model apart face-by-face until nothing remains.


Warp Effect

The warp effect makes a model warp out of view or into view.

This movie shows a relatively slow version of the effect, but at high speeds the Warp effect creates a great space ship hyperspace kind of warping motion.


Wave Effect

The Wave effect makes a model undulate under the force of a wave.

Basic Linear Wave

Waves can be adjusted to fade out over distance to make small and smaller waves.

Radial Waves are useful for making concentric ripples in water.


Edit Model

This option launches the Designer if it is not already active, and automatically loads the selected Model (Actor's Costume) into the Designer workspace.

The Animator remains active, so it is easy to switch between the Design and Animate modules. This is especially useful when modifying model attributes such as reflection maps or skeleton poses that need to be checked in the full-animation environment.


Swap Model

This option allows you to change one model for another, while preserving all the Movement, Rotation and Scaling timeline information. An example of this option is to use a simple model as a 'stand-in' to set up a complex animation, then Swap in the more detailed model for the final rendering.

Select the Model from the Choose Replacement dialog that you wish to substitute for the selected Model Actor.


Path Velocity Curve

The Path Travel Editor enables you to control the speed and direction of an Actor travels along a Path.

Ease-in and Ease-out can be controlled here.


Reverse Path Direction

This option enables you to reverse the direction an Actor moves along the selected Path.


Activate Camera

This option enables you to activate the selected Camera. The name of the selected camera is displayed in Status bar (lower left) of the screen.

Only one camera may be active at a specific time although multiple cameras can exist in an animation.


Image Processor Effect Types

Image Post Processor Effect Types

Inserts an Image Processor Effect choosen from the Select Image Processing Module dialog.

Blur - Blurs the screen to simulate Motion Blur.

Depth of Field (Dof) - Simulates photographic depth of field.

Filter - Changes the color of all pixels after the rendering is complete.

Flare (Lens flare)- Simulates the effects of lights flaring in the lens of a camera

Fog - Simulates fog and haze.

Glow - Adds a glow to any pixels with a key color.

Halo - Adds a halo around lights.

Hilite - Adds a hilite for lights.

Lasers - Simulates the appearance of a laser beam.

Starfield - Generates a scrolling starfield.

Stars - Creates the effect of a starfield in an animation.

SuperNova - Simulates the effect of a star going supernova.

Trails - Leaves a trail behind for all models that move in a animation.

Video - Offers 24 different video effects.

Xvideo - Offers 26 additional different video effects.

See also the additional special Image processors.

Fireballs..

Atmospherics...


Channel Menu

Timeline Menu

Describes the functions of the Animator's TImeline Menu commands.


Add Movement Timeline...

Adds a Movement Timeline to the selected Actor.


Add Rotation Channel...

Add Rotation Timeline...

Adds a Rotation Timeline to the selected Actor.


Add Scaling Channel...

Add Scaling Timeline ...

Adds a Scaling Timeline to the selected Actor.


Add Movement Keyframe

Make the current frame a keyframe in the selected Actors' movement timeline..


Add Rotation Keyframe

Make the current frame a keyframe in the selected Actors' rotation timeline..


Add Scaling Keyframe

Make the current frame a keyframe in the selected Actors' scaling timeline..


Shift All Keyframes

Shifts all keyframes either forward or backward by the specified number of frames.


Frame Menu

Describes the functions of the Animator's Frame Menu commands.


Go to...

Go to a specific frame. Updates the Camera View for the specified frame.

You can also access the Go to Frame dialog by clicking on the Frame Number button in the Camera View controls.


Previous

Previous Frame

Display the previous frame in the Camera View and make it current.


Next Frame

Display the next frameof the animation in the Camera View and make it current.


First Frame

Display the first frame of the animation in the Camera View and make it current.


Last Frame

Display the last frame of the animation in the Camera View and make it current.


Set Animation Length...

Sets the number of frames in an animation or time-scales the animation for a different number of frames.

Frame Rate - Sets the frame rate where NTSC is 30 frames per second (fps) and PAL is 25 fps.

Extend - Any timeline whose keyframe occurs in the last frame of the animation is extended so that the timeline's keyframe still occurs in the last frame of the animation.

Scale - The duration of all timelines is increasedor decreased as specified so that they extend over a range of frames which is approximately the same proportion of the animation after the number of frames is changed as it was before. A timeline that is only one frame long may scale to 2 or more frames This may be an undesirable effect and after scaling up an animation you should review any timelines that were originally one frame long.

Blanks - Do not change any non-Camera Actor's timelines at all. When the animation is extended leave any new timeline space empty. Since Camera Actors can only have one costume timeline all camera costume timelines automatically occupy all the available space.

Chop - Cut the animation off at the last frame. Any timeline that extended beyond the new setting of the last frame are truncated and the keyframe for those timelines is moved to the last frame. Any timelines that are all after the last frame are removed from the animation.


Wireframe Preview

Generates a wireframe preview of the animation, showing all the edges in the Model's costumes, and pre-records it so that the speed of playback is independent of the complexity of the Model's costume models.

Click on the Make a Preview button to pre-record the animation preview at the selected frames per second (fps).

Preview 1st frame
Preview previous frame
Play animation preview
Preview next frame
Preview last frame
Stop animation preview


Actions Menu

Describes the functions of the Animation Module's Actions Menu commands.


Move...

Enables movement of Actors by precise coordinates based on the Actor's center point or control node.

This option is only available if the selected Actor has a Movement timeline and Keyframe in the active frame. Otherwise the menu item is ghosted.


Rotate...

Enables rotation of Actors by precise numerical input based on the Actor's center point or control node.

This option is only available if the selected Actor has a Rotation TImeline and Keyframe in the active frame. Otherwise the menu item is ghosted.


Scale...

Enables scaling of Actors by precise numerical input based on the Actor's center point or control node.

This is especially useful if you need to stretch or squash an Actor by a specific value during an animation.

This option is only available if the selected Actor has a Scaling Timeline and Keyframe in the active frame. Otherwise the menu item is ghosted.


Snap Cursor to Selected Object

Snap Cursor to Selected Actor

Moves the 3D Cursor to the center point of the selected Actor.


Snap Object to Cursor

Snap Actor to Cursor

Moves the selected Actor and places its center point at the position of the 3D Cursor.


Spline Tween Mode

Enables the spline tween mode for moving Actors along editable tracks. The Spline Tween Mode edit options are separated into the Track tab page and the Direction tab page.

Note that Spline Tween Mode enables you to view and edit the entire animation at once without stepping from frame to frame! Frame->Next (>) and Frame->Previous (<) can be used to step through the frames to watch the selected Actor move from point to point along its track.

Only Tween or Spline Tween movement timeline types can have a track, any other movement timeline types (e.g. Look At) cannot enter Edit Track mode. If they are Tween the segments in the track will be straight lines, if they are Spline Tween the segments will be curved. If the selected Actor has no movement timelines, appropriate timelines will be added automatically when Edit Actor Track mode is entered for the first time.


View Menu

Describes the functions of the Animator's View Menu commands.


Show Keyframer

Displays the Keyframer window for editing Timelines and Keyframes.


Dock Keyframer

Docks the Keyframer at the bottom of the Animator screen.

The timelines of only one Actor is displayed when the keyframer is docked. Select the Actor you wish to see the timeline of and it will automatically be displayed in the docked keyframer. You can also scroll through to see the timelines of other Actors.


Global Quickdraw

Global Quickdraw mode draws only the vertices of the Model displayed in the Working-Volume.

Global Quickdraw Mode On

Global Quickdraw Mode Off


Draw Bounded

Draw Full / Draw Bounded

Toggles between the bounding box and wireframe mode of drawing the Model Actors.

Bounding Box Mode


Full Selection

Wireframe mode can be restricted to specific Model Actor(s) if Draw Full Mode is enabled.

Selected - Draws the selected model in wireframe mode. The remaining model(s) are drawn in bounding box mode.

Deselected - Draws the deselected model in wireframe mode. The remaining model(s) are drawn in bounding box mode.

Full - Draws all models in wireframe mode.


Lock Bounded

Draw and lock the selected Model Actor in bounding box mode.

Overrides the Draw Full/Draw Bounded and Full Selection settings.


Show Grid

Toggles on or off the display of the Grid in the Working-Volume's Top, Front, and Side views.

There are three elements to the grid:
1. | The coordinate axis system, drawn in white, passes through the origin of the coordinate system and displays the position of (0,0,0).
2. | A solid grid is drawn at each unit coordinate.
3. | At 1/10th size (i.e. 0.1 intervals) a dashed grid is drawn in a "darker (less visible) color".

As Zoom Out is applied, the "Dotted grid disappears and a new "Darker" grid is drawn at 10-unit intervals. As zoom out continues the 1 unit interval grid disappears and a "darker" grid is drawn at 100 unit intervals. This process continues until maximum zoom is reached.

The Grid size can be specified in the Grid Settings dialog.


Snap to Grid

Snaps the 3D Cursor to the Grid points. The grid may be visible or invisible.

Use the 3D grid to move the 3D Cursor in discrete steps when drawing, moving, etc.

The "Snap to Grid" works to the nearest "visible" grid point. Therefore if a far out zoom is in effect the grid snap is to a larger scale then if a near zoom is in use.


Grid Settings...

Define the Grid size and whether it is visible when in use.

The size of the grid is defined in the current Animator units.


Camera Field of View

This option turns on and off the feedback cone for the Cameras' fields of view. Turn it off to clear up a cluttered workspace, turn it back on to see what Actors are encompassed in the Cameras' field of view..

On

Off


Spotlight Cone

Toggles On and Off the feedback cone for Spotlight Actors.

Turn it off to clear up a cluttered workspace, turn it back on to see where the lights are falling.

On

Off


Coordinates

Brings up the Coordinates palette.

Shows the coordinates of the 3D cursor as it is moved. Type in coordinates to move the 3D cursor either relatively or absolutely. Define the origin and scale of the coordinate frame of reference for this model.

Move the 3D cursor to the coordinates in the edit boxes. Numeric values can be entered in the edit boxes. The entry of a relative displacement (delta, or dX, dY, dZ) automatically updates the absolute coordinate and vice versa.
Restore the coordinates (in cursor units) of the 3D cursor. Undo any coordinates typed in the edit boxes.
Set the origin of the coordinate system to the position of the 3D cursor.
Define the units and name the coordinate system (the default unit is centimeters). The units are defined relative to the size of the Window box.
Measures the distance from the Cursor to the selected Actor. Distance displayed at bottom right of palette.


3D Cursor

The 3D Cursor (sometimes called the Tri-view Cursor) is used indicate an exact position in 3D space. The intersection of any two 3D cursors in the Working-Volume Top, Front, or Side views indicates an exact position in 3D space. The 3D Cursor is positioned with the Windows' Mouse Cursor.

The 3D Cursor can take the form of either a Cross Hair or a Cross Wire. Note you can toggle between these two 3D Cursors with the F9 Key.

Cross Hair 3D Cursor

Cross Wire 3D Cursor


Window Menu

Describes the functions of the Animator's Window Menu commands.


Zoom In

Change the Working-Volume size so that the enclosed actors appear larger.


Zoom Out

Change the Working-Volume size so that the enclosed actors appear smaller.


Set Default Zoom and Position

Resets the size and position of the Working-Volume back to that used when the Animator starts up.

Choosing "File > New" automatically resets the size of the Working-Volume when it removes the old OFX file. The Set Default Zoom and Position command provides the option to set the Working-Volume back to its default size without using "File > New". This is very useful if you want to build two animations at the same scale.


Large Camera View

Toggles the Camera View between full size and one quarter size if the Working-Volume is full size.


Swap Viewpoint

Switches the Working-Volume views between Top, Front, and Side to Top, Rear, and the other Side.


Close All Modules

This function closes all open modules such as the Keyframer, Renderer and Designer, etc.


Reset Quad View Windows

Resets the size of the Working-Volume to the default Quad View sizes.


Modeler

Designer

Launches the Designer module with an empty canvas.


Viewer...

Launches the Viewer module for displaying GIF, Targa (TGA) BMP, PNG and JPEG images.

Multiple images can be opened and viewed simultaneously.


FLIC Player...

Launches the FLIC Player module for viewing FLC and FLI movies.


AVI Player...

Launches the AVI Player module for viewing AVI movies.

Multiple AVI Movies can be opened and played simultaneously.


Utilities

Provides the following utilities to build and convert movies.

  • Build Animation from Stills
  • FLIC to GIFs
  • FLIC to AVI
  • Other utilities


Build Animation from Stills

Launches the Build Animation from Stills utility which enables you to generate AVI or FLIC movies from a set of previously rendered images. Also enables separate AVI movies to be joined into a single movie.

If a file has numbers as part ofits name, then it is assumed that a sequence of files is to be loaded. For example, choosing a file with a name, Image001.TGA will direct the loader to try and load the files named Image002.TGA, Image003.TGA, etc. The sequence will end if no file is found with this naming convention.

Files with names that do not end with a number are loaded as a single file. For example, PICT.GIF, PICT3A.GIF.

This utility also allows for compression codecs and other parameters of an animation to be modified.


FLIC to GIFs...

This utility splits a FLIC movie into the independent GIF images used to generate the movie.


FLIC to AVI...

This utility converts a FLIC movie into an AVI movie.


Sound Effects Editor

Sound Effects Editor for AVI Movies

This program allows you to add background sound and sound effect to your AVI movies. You can co-ordinate specific sounds by playing them at a specific frame and have either the option to mix in the sound with a background track or replace the background sound. All audio WAV formats are acceptable but for any one AVI you must use a consistent audio format, e.g. 22KHz 8 bits Mono WAV files.

The Application

When the program is executed the following window will be displayed:

utils_sound1.gif (18509 bytes)

The application window consists of four important components:

  • The Toolbar
  • The AVI window
  • The loaded sounds list
  • The status information line

The basic operation of the program is as follows:

  • Load an AVI (It will show up in the AVI window)
  • Load one or more sound effects from WAV files (they will show up in the sound lists)
  • Use the AVI window slider to scroll through the AVI to find the frame you want to add a sound effect.
  • Highlight the sound you want to add (It will start playing at the frame of the animation currently on view in the AVI movie window.
  • Either Mix In the new sound or overwrite any existing sound with the highlighted sound.
  • Move to the next frame you want to add a sound effect and repeat the process until all the effects you want are added.
  • Save the animation to a different file from the original, sit back and enjoy you Multimedia Movies.

Important Note:
Any sound effects added to an AVI file will not be evident until the animation has been saved to a file. So if you want to preview the results of your work. Save the animation and reload it.

The detailed operation of the program follows on from the description of the actions of the buttons in the toolbar and from the commands on the program's System Menu:

The Toolbar

The actions of each button in the toolbar is as follows:

utils_sound2.gif (2151 bytes)

Button A:
Clicking on this button brings up a dialog of AVI files, choose the one you want to work with. The dialog includes a preview capability. If a movie is loaded that does not contain any sound track a dialog will pop up from which you must select the format of the sound track. Sound tracks have three basic properties:

  1. Sampling frequency: Choose either 11kHz, 22kHz, or 44kHz (44 kHz is CD audio quality sampling rate).
  2. Bits per sample: Choose either 8 bits or 16 bits
  3. Mono or stereo: Choose either Mono or Stereo.

utils_sound3.GIF (3386 bytes)

All sounds on a single track must have the same values of each of these parameters. Thus if you sound samples are taken from a collection of audio CDs you will probably need to choose (44kHz, 16 bits Stereo)

Button B:
Clicking this button bring up a sound file dialog. (WAV and AVI type files, some AVI files will probably not contain any sound but some might). Choose the files you want to add to the sound list. The sounds can be previewed if required.

Button C:
Save the edited movie to a file. (Once saved the move can be re-loaded and the sound effects previewed.)

Button D:
Insert the selected sound (Highlighted item in sound list) at the current frame. The sound will play for however long it lasts. The sound completely replaces the existing soundtrack. The original soundtrack will appear again at the end of the insertion.

Button E:
Mix in the selected sound (Highlighted item in sound list) at the current frame. The sound will play on top of the original soundtrack for however long it lasts. The sound mixes at equal volume with the existing soundtrack. The original soundtrack will appear again in its original form at the end of the mix.

Button F:
Silence the soundtrack. This lays down a new soundtrack. At this stage you can select an alternative format for the soundtrack, such as sampling frequency etc.

Button G:
Clear the sound list. Remove all the currently loaded sounds so that you can start building a new sound list.

Button H:
Displays a dialog about the sound properties. It display information about the sound track on the movie and the currently selected sound in the sound list. (Use this information to decide which sounds can be added to which movies - Remember the movie audio track must have the same properties as any sound dubbed onto it.)

utils_sound4.GIF (3506 bytes)

In the example illustrated above the currently selected sound could not be added to the movie being edited unless a new sound track is written to the move file (Button F)

Button I:
Play the currently selected sound. (To remind yourself of what it was!)

Button J:
Show the first frame of the movie (Position the current work frame at the start of the movie).

Button K:
Step back one frame.

Button L:
Play the movie.

Button M:
Step forward one frame.

Button N:
Show the last frame of the movie (Position the current work frame at the end of the movie).

Button O:
Make a copy of the video to another AVI file.

Button P:
Dub the sound from the current movie onto another selected from a file open dialog.

Button Q:
Provide information about this utility, its version number etc.

The Status Display

The "Status Display" line provides some instructions and is the place to look for information about the current movie file and selected sound clip. The image below illustrates this:

utils_sound5.GIF (14019 bytes)

Above the status line the display: [Frame 41 of 60 (2.7s)] give information about the current frame of the movie, its frame number and time into playing. The status line is at the bottom of the application window and it gives information about both the movie [Video] and currently selected audio clip [Sound]:

For the movie:

  • The resolution,
  • colour depth,
  • number of frames
  • and duration.

In the example: [640x480x24 60 Frames 4.0s] A resolution of 640 by 480 pixels (VGA resolution) 24 bit (true colour) display, 60 frames duration and playing time of 4 seconds.

For the currently selected sound:

  • The number of channels,
  • sampling frequency,
  • duration
  • and bits per sample. ID in the sound list.

In the example: [2Ch 22.05kHz 1.7s 16] A stereo sample recorded at a rate of 22kHz (remember the famous sampling theorem tells us that this allows us to reproduce sound perfectly up to a maximum bandwidth of half the sampling frequency i.e. 11kHz, - the human ear can hear up to about 18kHz, the telephone bandwidth is 3kHz). The sound clip lasts for 1.7 seconds and each sample is recorded to a resolution of16 bits.

The System Menu

A few additional commands, that dub on a complete audio track from another move, write the current movie sound track to an audio WAV file for example are executed by selecting them from the program's system menu.


Hide/Show OpenGL Camera View.

This menu item hides the OpenGL Camera View and displays the contents of the Camera View in wireframe mode.

To toggle the OpenGL Camera Viewback on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.


Update OpenGL Script Viewer

Displays the OpenGL Script Viewer for rendering the current OFX file animation with OpenGL.

The OpenGL Script Viewer provides a quick way to preview animations with shading and maps. The size of the viewer can be enlarged by dragging the lower right hand corner to the desired size.

Renders previous frame
Plays animation
Renders next frame
Stops animation at current frame
Writes the OpenGL rendered animation as an AVI movie
Writes the current frame as a BMP image file
OpenGL Viewer Preferences
About


CameraGL Menu

Describes the functions of the Animator's OpenGL Camera View Menu commands.


CameraGL Settings

The CameraGL Settings dialog enables you to select the display properties of the Camera View OpenGL Shading.

Flat shading - Renders model without smooth shading. Shows facets on models.

Fast Mapping Approx - Increases rendering speed if Show Image Maps enabled.

Show Image Maps - Renders model with image maps displayed

Anti-Alias - Renders with anti-aliasing enabled. Very slow and memory intensive.

Accelerate for Hardware (No Mapping) - OpenGL renders quicker if an OpenGL hardware accelerator is installed. Will not render with image maps if this option enabled.

Depth Cue Light - Increases lighting saturation.

Fog - Renders with fog.


Help Menu

Describes the functions of the Animator's Help Menu commands.


Animator Help

Displays the HTML Help system for the Animation module.


General Help

Displays the HTML Help system for general nformation.


About OpenFX..

About....

Displays the About dialog giving the package version and build numbers.


Keyframer

The Keyframer is a module where the timelines and keyframes of all Actors can be viewed and edited in one display.

The Keyframer module is displayed by executing the View > Show Keframer command or by pressing K on the keyboard. The Keyframer module may be displayed as a floating resizable window as shown above or docked to the bottom of the screen.


Keyframer Layout

The Keyframer is a module where the timelines and keyframes of all Actors can be viewed and edited in one display.

In the Keyframer window, time runs horizontally from left to right. Each Actor can have up to four timelines plotted in a horizontal band. The four timelines, from top to bottom, are Costume, Movement (Position), Rotation, Scale. The band for the main Camera is always at the top of the window with subsequent bands containing the remainder of the Actors.

The timelines are the red horizontal lines and the colored dots at the end of the timelines are the keyframes. The Keyframer has a single Edit menu where Actors can be added, deleted or renamed. The status bar shows the range of frames (in the bottom left corner) and the currently indicated frame (in the bottom right corner). As the mouse is dragged over the window a crosshair cursor jumps from frame to frame and timeline to timeline.

Normally timelines and keyframes are created implicitly as Actors are added and the tools are used to move then into position and tell them what to do.


Channels

Timelines

Timelines are used to direct the activity of an Actor during an animation. Each Actor has four timelines known as the Costume, Movement, Rotation, and Scale timelines. The horizontal turquois, yellow, green, and lines are the timelines.

A timeline spans a number of frames and has a Keyframe associated with it. The Keyframe is the frame in which the action of the Actor is exactly exactly specified, other frames spanned by the timeline have the action of the Actor determined by interpolation.

The Keyframe is always the last frame in the timeline. A timeline therefore is a range of frames where an action of the Actor is determined from the details specified in the Keyframe at the end of that timeline.

A timeline spans the current frame if the first frame in the timeline is less than or equal to the current frame and if the last frame in the timeline is greater than or equal to the current frame.


Add a Timeline

To create a timeline in the Keyframer, move the crosshair to the timeline and frame you want to be the keyframe and click once. A Timeline dialog will appear, in which appropriate settings can be entered.


Edit a Channel

Edit a Timeline

Click on the timeline line to divide it into two and make a new keyframe at the indicated frame. Double click on a keyframe indicator to call up the timeline's dialog box.

The default timeline extent covers any empty frames up to the keyframe. The length of a timeline and the frame number of the keyframe can be changed by dragging it to the left or right. As the keyframe is dragged any timeline next to it extends or contracts so that there is no gap between timelines.


Costume Channel

Costume Timeline

The Costume timeline is the first timeline (teal colored horizontal bar) in the Keyframer and dictates the appearance of the Actor, i.e, what costume the Actor is wearing. If a Costume timeline is present the Actor is on stage and is performing some role.

Note: an Actor can exist without a Costume timeline, but it will be something like the Invisible Man. You won't see it in the Animator until it puts on a Costume. This is an effective way to make Actors disappear during animations; just delete their Costume timeline from the appropriate frames.

With the exception of Camera and Target type Actors, which have no detailed Costume parameters, settings are grouped in a dialog which appears when a timeline is created. The dialog shows the timeline extent, and other settings which will depend on the type of Actor.

Double clicking on the keyframe indicator at the end of a costume timeline shows a dialog box, with buttons to edit the settings for the Costume, delete it, cut it out, or copy it.

Edit - Brings up the Edit Settings dialog for the Actor. In the above example, Costume for the Model Actor, the Edit Model Dialog would appear.

Cancel - Dismisses the Costume timeline dialog.

Delete - Deleting a timeline removes it from the Keyframer.

Cut Out - Cutting out a costume timeline deletes the timeline and shifts all later movement timelines back in time to fill the gap.

Copy - Copying a costume timeline places a new timeline with the same settings and duration at the end of all the other costume timelines for this Actor. You can use this feature to 'leapfrog' costume copies in a repeating cycle for Morph or Robot Actor sequences.


Model Costume Channel

Model Costume TImeline

The Model Costume timeline enables you to turn on morphing, define the frames which the Model will appear, define the specific Model to be used, and add Special Effects.

Morphing - Enables one model to gradually change shape into another model. Quadratic morphing interpolates between three models to give a slightly smoother transformation.

To morph a model from one costume to another there must be at least two Costume timelines. Each timeline will have associated with it a model (from an MFX file). The appearance of the model will gradually change from the form described in one file to the form described in the other, as long as the two models have the same number of vertices, edges and faces. If the two models are not sufficiently alike, the costume will sharply 'snap' from one model to the other at the keyframe.

Wireframe | If checked, the Renderer will render this Actor as a wireframe (not hidden line) in the scene with other Actors which may not themselves be wireframe. The wireframe is rendered anti-aliased. It works best at high resolution with best anti-aliasing and accelerated aliasing turned OFF because wires are quite thick at low resolution. Note that the Actor still casts a solid shadow and will appear solid in any reflections or ray traced features.
Self Shadow | If this box is checked (by default), the Actor casts a shadow on itself when Ray traced shadows are being rendered. This setting is ignored in non-ray traced rendering mode.
Cast Shadows | If this box is checked (default), the Actor casts shadows. This could be shadows on the ground or on other Actors. In non ray traced mode only spotlights cast shadows, except in the special case where an Actor has been assigned a "pseudo" shadow plane - in the designer.
Show Shadows | If this box is checked (by default), the Actor shows shadows (on itself) from other Actors. Note again that only spotlights show shadows on other Actors, except in ray tracing mode.


Camera Costume Channel

Camera Costume Timeline

The main Camera costume timeline is automatically present in all frames and cannot be changed since at least one Camera must be present at all times.


Target Costume Channel

Target Costume TImeline

Targets are used to point the Camera and Spotlights at a specific location.

Targets can be made to follow paths or other Actors. Targets also help in aligning action sequences.

There are no other parameters to edit for Target actors.


Light Costume Channel

Light Costume TImeline

The Light Settings dialog enables you to specify the type of Light to be used.

Light Color - Specify the color and brightness of a light. Reducing the Luminance of the Light Color will reduce the brightness of a Light.

Normal - Light shines uniformly in all directions.

No Shadow - Functions as a Normal light, but it does not cast shadows

Shadow only - This light type is used to generate a shadow only.

Spotlight - This light shines a conical beam in one direction only. The direction is specified by adding a Rotation timeline and the spread of the cone of light is specified in the Scale timeline. Realistic spotlights require quite a lot of extra memory, and is proportional to the resolution of the rendered image. The more accurately you want the edges of the shadow to appear, the more RAM must be set aside for each spotlight. Spotlight shadow buffer size is specified at render time in the Render Options dialog and defaults to 320 lines, equivalent to 400kb. For an X line rendering, X*X*4 bytes of buffer memory are required.

Dummy - This light type does not illuminate or cast shadows. Useful for placement of Image Proessors such as Halo and lens flare effects.

Attenuate - Enables Depth Cued Lighting.


Path Costume Channel

Path Costume TImeline

The costumes of Path Actors can only be edited using the Vertex/Node Selector Tool and Velocity Curves. No Edit dialog is available.


Sky Settings Dialog

The type of Sky an Ambient lighting to be used are specified in the Sky Settings dialog.

Sky types

Plain Color - Uses a plain solid color.

Graded - A gradual change is made from the horizon up to the zenith.

Environment map... - An image file stores the picture used as an environment map. An environment map can be imagined as a painting on a sphere far out into space surrounding all the Actors. The map is used four times in a complete revolution, and twice between horizon and zenith. In other words, if the camera was to rotate through 360 degrees it would see four copies of the environment map. Hint: Use an environment map that is seamless in both the up/down and left/right directions. The use of an environment map gives a very good sense of movement when the camera is flying around and looking at a model.

Backdrop image... - Use a image held in a picture file instead of a plain color background. If the image file is not of the same dimensions as the animation, it is appropriately scaled. Notes: By using more than one timeline in the Sky Actor costume, the sky can be made to change color during an animation. A dawn or sunset sequence can be simulated because the colors set in the keyframes may be different and the Renderer will tween color in the same way that it tweens other parameters.

Animated Backdrop... - Use a series of images (Map001.gif, Map002.gif, Map003.gif...) as an animated background. If a value of 1 is specified in the Step Box, then Map001.gif will be the background for Frame 1, Map002.gif will be the background for Frame 2, Map003.gif will be the background for Frame 3, etc. If a value of 2 is specified in the Step Box, then Map001.gif will be the background for Frame 1, Map003.gif will be the background for Frame 2, Map005.gif will be the background for Frame 3, etc.

View Button - Displays the specified Environment or Backdrop image.

Ambient lighting

Ambient light illuminates Actors from all directions at the same time. Therefore an image will appear brighter if there is a proportion of ambient light present. However, if the proportion is too high the image will have very little contrast and will appear washed out. A maximum value of 50% is acceptable.

It is possible to set the ambient lighting for the ground and the models separately. There are many possible lighting conditions where the ambient light applied to the ground should be quite high while the ambient lighting for the models is most appropriately kept low.


Ground Settings

The Ground Settings dialog enables you to specify the type of Ground to be inserted.

The primary color of the ground is set by clicking on the Ground Basic Color swatch and then choosing a color from the Windows color dialog. The Texture Color swatch is used to specify a second color that is needed for ground patterns such as a checkerboard.

Ground Reflectivity - The ground is made partially reflective by entering the percentage. A maximum value of 60% is permitted. The Sky is not reflected, but other Actors are. Reflections are calculated using a buffer that requires a lot of memory.

Ground Types

Plain Color - A single color is applied to the ground. Set with the Ground Basic Color palette.

Texture - Choose a texture type from a list in the Ground Texture dialog. There are some animated textures such as waves that simulate the surface of a liquid in motion. When the ground Actor is selected, a rectangle is drawn in the Top window. The rectangle represents the basic repeat unit for the texture. If, for example, a checkered texture has been selected, the rectangle represent the size of one of the checkered squares. You can scale, rotate or move the repeat unit by adding Movement, Rotation and Scale timelines. These textures can only be applied to the ground plane. There are several parameters which can be set, some of which can be tweened. These textures animate only if movement, rotation or scale timelines for the Ground Actor have differing keyframes.

Image Maps - To align ground image maps, the ground Actor is given movement, rotation and scale timelines. When the ground Actor is selected, the yellow rectangle in the Top view window shows the position, orientation and size of the map. The height of the vertical line in the front and side views is used to indicate the height of a bump or wave texture, and has no significance for image mapping.

Single - An image is used once and positioned to lie inside the ground's bounding rectangle.

Tile - Image is repeated in tiles over the whole ground plane.

Mosaic - Image is repeated using a flip-and-rotate pattern that will match up the seams, giving an image the appearance of being continuous.

View Button - View the specified image map.


Image Effect Costume Channel

Image Effect Costume TImeline

The Image Effect Costume Timeline enables you to specify which frames the Image Processor Type is visible during the animation.

The parameters for each Image Processor can also be enabled to morph over time.


Robot Costume Channel

Robot Costume Timeline

An Edit Robot dialog is not available in the Robot Costume Timeline. Robots are edited using the Pose Robot feature.

A Robot Actor will need a sequence of short costume timelines all with the same Robot model at different poses. The Robot is manipulated in the keyframes at the end of each timeline.


CSG Object Costume Channel

CSG Actor Costume Timeline

Edit the type of CSG Actor from the CSG Setup dialog.

CSG Actors can either be additive or subtractive. CSG Actors such as tubes and disks have no volume which makes subtraction meaningless. The Add option is automatically selected for volumeless CSGs. If you intend the CSG to be used to cut a hole in another CSG, then click the Subtract button. Otherwise click the Add button.


Movement Channel

Movement Timeline

The Movement timeline in the Keyframer controls where and how an Actor will move from keyframe to keyframe.

The Movement Timelineis the second timeline in the keyframer and is colored yellow. Double clicking on a keyframe node will bring up the Movement timeline dialog.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent, the coordinates of the position of the Actor in current units, and the specified Movement Type.

The Delete button deletes the timeline.

The Cut button deletes the current timeline and shifts all later movement timelines back in time to fill the gap.

The Copy button copies the movement characteristics of another Actor.


Movement Types

The Animator provides six different movement types or ways to move an Actor.

Tween - The position of the Actor is interpolated linearly between the first keyframe and the following keyframe. For example, if the Actor has movement timelines in frames 1-1 and 2-10 and it is at (0,0,0) in frame 1 and at (10,10,0) in frame 10 then it will be at (5,5,0) in frame 5. Put simply, in half the time it will move half the distance.

Spline Tween - The position of the Actor is interpolated on a spline curve anchored by keyframes which removes the effect of sharp corners at keyframes. This provides more natural motion with acceleration and deceleration rather than rigid starts and stops.

The last four types of movement require that the Actor follows another Actor. The Actor to be followed is specified by clicking the Select button in the Follow box. When an Actor has been selected the radio buttons for the Follow options will be enabled.

Follow - The Actor will follow another Actor or travel along an assigned path. Hint: Make a light follow the camera. This will ensure good illumination of all visible Actors.

Follow with Offset - Follow an Actor using the Actor's offset. The offset is specified in the model that the Actor is using for its costume. The model's offset is indicated by the red cross (Follow Point) which is visible in the Designer

Follow On a Path - Follow an Actor on a Path trailing by the Actor's offset. Note that Paths, Targets and Lights do not have an offset to follow. Follow-On can be used to follow an Actor that is itself following on. In this way "Trains" can be built up like a locomotive and a set of box cars. The loco follows a path, the first box car follows-on from the loco, and the others follow-on the Actor in front of each.

Follow Locked - Follow an Actor with one or more of the three coordinates locked. The unlocked coordinates are free to be moved. An example would be a 'chase plane' camera that follows an aircraft in the X and Y coordinates, but varies in the Z coordinate for dramatic effect.


Tween Movement

The position of the Actor is interpolated linearly between the first keyframe and the following keyframe.

For example, if the Actor has movement timelines in frames 1-1 and 2-10 and it is at (0,0,0) in frame 1 and at (10,10,0) in frame 10 then it will be at (5,5,0) in frame 5. Put simply, in half the time it will move half the distance.

A linear or straight line track is visible in the Working-Volume when the Spline Tween Mode is enabled.

Note: The default Movement Timeline setting is Tween.


Spline Tween Movement

The position of the Actor is interpolated on a spline curve anchored by keyframes which removes the effect of sharp corners at keyframes. This provides more natural motion with acceleration and deceleration rather than rigid starts and stops.

A spline curved track is visible in the Working-Volume when the Spline Tween Mode is enabled.

Note: The default Movement Timeline setting is Tween so Spline Tween mode must first be set in the Movement Timeline of the selected Actor to generate a curved path.


Follow Movement

The selected Actor will follow another Actor or travel along an assigned path.

The Actor to be followed is specified by clicking the Select button in the Follow box of the Movement TImeline dialog. When an Actor has been selected the radio buttons for the Follow options will be enabled.

Hint: Make a light follow the camera. This will ensure good illumination of all visible Actors.


Follow with Offset

Follow an Actor using the Actor's offset.

The offset is specified in the model that the Actor is using for its costume. The model's offset is indicated by the red cross (Follow Point) which is visible in the Designer. Note that Paths, Targets and Lights do not have an offset to follow.

The Actor to be followed is specified by clicking the Select button in the Follow box of the Movement TImeline dialog. When an Actor has been selected the radio buttons for the Follow options will be enabled.


Follow On a Path

Follow an Actor on a Path trailing by the Actor's offset.

Follow-On can be used to follow an Actor that is itself following on. In this way "Trains" can be built up like a locomotive and a set of box cars. The loco follows a path, the first box car follows-on from the loco, and the others follow-on the Actor in front of each.

Note that Paths, Targets, and Lights do not have an offset to follow.

The Actor to be followed is specified by clicking the Select button in the Follow box of the Movement Timeline dialog. When an Actor has been selected the radio buttons for the Follow options will be enabled.


Follow Locked

Follow an Actor with one or more of the three coordinates locked. The unlocked coordinates are free to be moved.

An example would be a 'chase plane' camera that follows an aircraft in the X and Y coordinates, but varies in the Z coordinate for dramatic effect.

The Actor to be followed is specified by clicking the Select button in the Follow box of the Movement timeline dialog. When an Actor has been selected the radio buttons for the Follow options will be enabled.


Rotation Channel

Rotation TImeline

The Rotation Timeline is the third timeline (green colored horizontal bar) in the Keyframer and controls where and how an Actor will rotate or be aligned from keyframe to keyframe.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent, the alignment (in degrees) in three axes of the Actor, and the Rotation Type.

The Delete button deletes the rotation timeline.

The Cut button deletes the current timeline and shifts all later rotation timelines back in time to fill the gap.

The Copy button copies the rotation characteristics of another Actor.


Rotation Types

The animation module provides a dozen rotation types or ways to rotate or align an Actor.

Tween - The rotation of the Actor is interpolated linearly between its rotation at the first keyframe and its rotation in the last keyframe of the timeline. Simply put, in half the time it will have made half the rotation.

Smooth Tween - The Actor's alignment will accelerate between keyframes to give a smooth rotation. This creates much more natural motion. Used with a camera, for example, it will produce a realistic panning action with ease-in and ease-out. Hint: Use a single frame key following the end of the pan to prevent overshoot.

The last three types of rotation require that the Actor Aligns To, Looks At, or Mimics its rotation from another Actor. Specify the Actor to be Looked At by clicking the Select button in the Target box. After an Actor has been selected, the radio buttons for the Looking At options will be enabled.

Align to Path - If an Actor is following a path, then this sets its rotation to follow the direction of the path. For example, a plane following a path can be made to turn as the path turns.

Look At - The Actor is forced to point at another Actor. The actual point of aim is the selection handle or Model Center of the targeted Actor.

Mimic - Give this Actor exactly the same alignment as the targeted Actor.

Internal Rotation - There are a few special rotations that are difficult to arrange manually, quite commonly desired, and are best described as 'internal motion'. The buttons in the box marked Internal Rotation give a quick way of specifying motions that are 'internal,' that is, relative to the Actor, no matter what other actions the Actor is performing. The rotor blades of a moving helicopter are a good example of internal rotation. The Actor's direction can still be specified in its key frames, while the internal rotation is 'underlaid' on the tween.


Internal Rotation Types

There are a few special rotations that are difficult to arrange manually, quite commonly desired, and are best described as 'internal motion'. The buttons in the box marked Internal Rotation give a quick way of specifying motions that are 'internal,' that is, relative to the Actor, no matter what other actions the Actor is performing. The rotor blades of a moving helicopter are a good example of internal rotation. The Actor's direction can still be specified in its key frames, while the internal rotation is 'underlaid' on the tween.

None - No internal rotation.

Vertical Axis - Actor is rotated internally through the vertical axis (the Z axis in the Top View) of the Actor's center.

Side Axis - Actor is rotated internally through the Side Axis (the X axis in the Side View) of the Actor's center.

Front Axis - Actor is rotated internally through the Front Axis (the Y axis in the Front View) of the Actor's center.

Clockwise - Actor is rotated in a clockwise direction in the specified Vertical, Side, or Front Axis.

Anti Clockwise - Actor is rotated in a counter-clockwise direction in the specified Vertical, Side, or Front Axis.


Scale Channel

Scale TImeline

The Scale Timeline is the fourth timeline (red colored horizontal bar) in the Keyframer and controls how an Actor will change size from keyframe to keyframe.

The scale of the Actor is interpolated between the keyframes in the timeline. If there is no additional keyframe, the scale from the single keyframe applies to all frames.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent and the scale in three axes of the Actor in current units.

Bouncy - Scale values interpolate using either a linear or quadratic rule with on being quadratic. The quadratic method can give a smoother looking effect, but in some cases it can get quite bouncy.

The Delete button deletes the timeline.

The Reset button sets all scale values to unity.

The Store button copies the scale values to a temporary buffer for use later.

The Set button sets the scale values those previously stored.

The Copy button copies the scale characteristics of another Actor.


Model Scale Channel

Model Scale Timeline

The Model Scale timeline controls how a selected Model will change size from keyframe to keyframe.

The Animator interpolates the scale of the Model between the keyframes in the timeline. If there is no additional keyframe, the scale from the single keyframe applies to all frames.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent and the scale in three axes of the Model in current units.

Bouncy - Scale values interpolate using either a linear or quadratic rule with on being quadratic. The quadratic method can give a smoother looking effect, but in some cases it can get quite bouncy.

The Delete button deletes the timeline.

The Reset button sets all scale values to unity.

The Store button copies the scale values to a temporary buffer for use later.

The Set button sets the scale values those previously stored.

The Copy button copies the scale characteristics of another Model.


Camera Scale Channel

Camera Scale Timeline

Camera scaling has the effect of changing the magnification in the camera lens or the aspect ration of the image.

You can specify the focal length of the camera lens or its field of view. An aspect ratio of 1.0 will (if the screen pixels are square) give a true proportionate image.


Target Scale Channel

Target Scale Timeline

The Target actor cannot be resized over time and does not have a Scale Timeline.


Light Scale Channel

Light Scale TImeline

The Light Scale Timeline controls how a selected Spotlight cone and shadow will change size from keyframe to keyframe.

Cone Angle - Defines the angle of the main beam in degrees. A maximum value of 179 is permitted which illuminates the whole region in front of the light. A value of 5 creates a highly focused spotlight beam..

Edge Softness Angle - Defines the angle of an edge or border of shadow lying around the main beam over which the light intensity falls from full to zero. A value of 5 degrees is a default and will give a realistic "soft shadow" edge.

Attenuation Range 50% - Defines the distance from the attenuated light at which its intensity has fallen to half its given value. The circle around the light (only visible if the Attenuated check box is checked in the Light Settings dialog) shows the location at which the light intensity has fallen to half its given value.


Path Scale Channel

Path Scale Timeline

The size of a Path cannot be scaled over time and hence the Path Scale Timeline is not editable.

Double-clicking on the Path Scale Node will not bring up a dialog.


Sky Scale Channel

Sky Scale TImeline

The Sky actor cannot be resized over time and does not have a Scale Timeline.

Note the Sky actor also does not have a Movement or Rotation Timeline.


Ground Scale Channel

Ground Scale Timeline

The Ground Scale Timeline controls the size and appearance of textures and the size and rotation of any image maps applied to the ground.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent and the scale in three axes of the Ground in current units.

Bouncy - Scale values interpolate using either a linear or quadratic rule with on being quadratic. The quadratic method can give a smoother looking effect, but in some cases it can get quite bouncy.

The Delete button deletes the timeline.

The Reset button sets all scale values to unity.

The Store button copies the scale values to a temporary buffer for use later.

The Set button sets the scale values those previously stored.


Image Effect Scale Channel

Image Effect Scale Timeline

The Image Effect (Post-Processor) actor cannot be resized over time and does not have a Scale TImeline.

Note the Image Effect actor also does not have a Movement or Rotation Timeline.


Robot Scale Channel

Robot Scale Timeline

This is the same as the normal Actor scale timeline


CSG Object Scale Channel

CSG Actor Scale Timeline

The CSG Actor Scale timeline controls how a selected CSG Actor will change size from keyframe to keyframe. The animator interpolates the scale of the CSG Actor between the keyframes in the timeline. If there is no additional keyframe, the scale from the single keyframe applies to all frames.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent and the scale in three axes of the CSG Actor in current units.

Bouncy - Scale values interpolate using either a linear or quadratic rule with on being quadratic. The quadratic method can give a smoother looking effect, but in some cases it can get quite bouncy.

The Delete button deletes the timeline.

The Reset button sets all scale values to unity.

The Store button copies the scale values to a temporary buffer for use later.

The Set button sets the scale values those previously stored.

The Copy button copies the scale characteristics of another CSG Actor.


Pose Robot

Enables posing of a Robot actor. Robot movement is animated by specifying a specific pose for each keyframe. The animated sequence of Robot Poses will generate smooth character motion.

To Pose a Robot, select the Robot Actor and choose the Vertex Selector Tool (or press the V key). When Robot edit mode is entered, the Robot Hierarchy dialog and Robot View window will appear. The Robot Hierarchy dialog and Robot View can be changed in size and moved around the screen.

A selected Joint is pivoted by clicking in one of the Working-Volume windows and dragging the mouse to the left or right. The selected joint is highlighted in both the Skeleton (Working-Volume) and the Robot Hierarchy Treeview.

Select a Joint by:
 | 1) | Clicking on a Robot Joint in the Working-Volume.
 | 2) | Clicking on an icon in the Robot Hierarchy Treeview.

The Robot Hierarchy dialog provides a Treeview and Toolbar for selecting a Joint to pivot about and perform other editing actions. A comprehensive set of axes around which the joint may be pivoted is provided. One set of axes is relative to the hierarchical structure and the other is relative to the Robot as a whole.

Commands
 | Load Pose from file.
 | Save current Pose in file.
 | Reset current Pose to the pose of the inserted Robot Actor.
 | Reset Selected Joint.
 | Copy Pose from last keyframe.
 | Zoom in on the selected joint or its Pivot point in the Robot View Window.
 | Toggle Zoom in position to the Selected Joint or Pivot point.
 | Enables the skeleton to be drawn superimposed on the shaded Robot view.
 | Draws the bounding boxes transparently to reveal the skeleton inside.

Pivot Axis - Local to the selected Joint.
 | Pivot about axis from parent joint to it's parent.
 | Pivot at a right angle about axis from parent joint.
 | Pivot at a right angle to the above two.about axis from parent joint.
 | Pivot child vertices around the selected (local) joint.
Pivot Axis - Global to the Robot. These axes are the same ones that are available in the Designer and their orientation can be set when the robot is built.
 | Pivot about an axis running from the back to the font of the robot.
 | Pivot about an axis running from the right to the left of the robot.
 | Pivot about an axis running vertically down through the robot.

The Robot View provides a local (perspective - any angle) view of each Robot Actor showing selected joint and pivot axis.

The Robot View will always be centered on the selected Robot and show it's pose. Pan the Robot-View or use the sliders to change your view point. Note that the Robot View is independent of what the Robot is doing (moving, rotating, etc.) on the stage. In the Robot View, the selected joint is indicated by a large white circle and the axis about which that selected joint will pivot is shown as a white line.

The Robot-View can be displayed as wireframe by unchecking the "Use OpenGL for Robot Pose" checkbox in the General tab page of the Preferences dialog.


Post Processor FireballPlugin

Post Processor Fireballs and Explosions

This plug in XFX image processor adds the capability to generate Fractal fireballs and explosions.

Remember that for image processors the .DLL, .AVI and .XFX files should be placed in the POSTPROCESS subdirectory.

This is an animated XFX image processor and its appearance changes over a range of frames. Thus although it can be added as a global effect it is best used as an Image Effects (F/X) object (Actor).

This plugin is controlled through the dialog below:

fireball1.gif (47745 bytes)

The effect of the controls in the Dialog Box (showing the default settings) will be explained shortly but before we look at these we must discuss how this works.

Like the Halo and Lens Flare effects the Fireball effect is attached to a Light. Although it can be attached to normal lights it is best to associate it with a Specific Named Dummy Light. Now here is the main restriction:

The light it is attached to must be An Attenuated Light Source

If you try to use a fireball with a non attenuated light source it will NOT work. The reason we need to use an attenuated light source is that there has to be some way to tell the effect how big the explosion/fireball is to be. Using an attenuated light source gives a visual indication in the Animator's three view windows of a sphere where the attenuated light falls to one half of its defined intensity. This effect uses this sphere as a container for the effect so that you can be reasonably confident that the fireball or explosion will occur inside the sphere. Therefore if you expand this sphere the explosion will occupy a larger volume of space. Because the effect is fractal three will be some deviation of the size so it is still best to do a few test renderings at low resolution to ensure you have the size you want, and here is the final warning:

The volumetric integration of fractal functions is SLOW so the effect can take quite a while to do its business

However the results can be quite spectacular!

XFXfireball2ps.jpg (7203 bytes)

Click here to see larger image

Controlling the effect (Dialog Parameters):

The switches:

  • Flames
    When this button is checked the appearance is more like the flickering flames of a fire as opposed to the more cloud like appearance of a fireball.
    temp.gif (12904 bytes) temp1.gif (21608 bytes)
  • Explosion
    When this box is checked the effect grows from nothing to a peak of fire after one third of its duration it then decays away to a dark smokey cloud that disperses away unit it finally disappears at the end of the duration. Check out the animated clip.

Light Settings
The Light settings and Choose light button speak for themselves, many other SFX image processor use them. Make sure you have read the paragraph above.

Colour Settings
There are three settings. The dark colour is used for the smoke cloud that occurs at the then of an explosion. The Centre colour is at the heart of the fireball and the Outer colour is for the edges of the flames or explosion.

Noise Smoothness
The noise smoothness governs the feature detail. When small the features are small and if viewed from far away will appear as just dots. (Rather in the same way that the features of a surface texture disappear when a fine texture is pained onto a very large surface area which is then viewed from far enough away so that the whole surface is visible.) When the noise smoothness is large there are few details, in the case of cloud like fireballs the balls of fire are large and each one shows little texture feature.

temp.gif (48513 bytes)

It is important to get the settings of this parameter correct in relation to the size of light's falloff sphere. Some experimentation may be necessary. As the light falloff sphere increases in size it may be necessary to increase Noise smoothness settings.

Density
Use the density setting to make the effect brighter, there is also an element of "see through" on less dense settings. Several fireballs can be overlapped for extra effect. Use a low density when mixing effects.

temp.gif (35054 bytes)

Regularity
The regularity (Default 0.2 shown in images above) governs how regular the explosion appears a value of 0.1 gives the appearance of the explosion consisting of a lot of irregular and disjoint blobs. A value of about 2.0 gives a nearly perfect spherical outline. See the images below.

temp.gif (33016 bytes)

Vertical Stretch
Use this setting to elongate the fireball, for example it you want to simulate flames leaping from a fire. The image below used a vertical stretch factor of 3.

temp2.gif (8497 bytes)

Expansion
When this value is set to its default then the size of falloff sphere should normally enclose the fireball. If you want the effect to occupy a smaller or larger volume without having to resize the lights 1/2 attenuation sphere then adjust this parameter. (Perhaps you want to attach two fireballs with different sizes to a single light). When set to 2.0 the effect occupies a spherical volume of twice the diameter of the lights 1/2 attenuation sphere.

Samples
The samples setting controls the quality of the fractal integration, a large value will give a more detailed fireball but it will take longer to compute it. A value as low as 4 can still give a very good looking fireball. The images in this specification were produced with a setting of 4. (The default is 16).


Postprocessor Atmospherics

Atmospherics Post Processor

This image post processor plug in allows you to create atmospheric effects. It is controlled through the dialog below but we warn you it is very slow to compute in most cases and can be quite 'fiddly' to set up so that you get the effect you require.

SFXplugAtmosXX1.GIF (45198 bytes)

Having given you the above warning here are some basic instructions about the settings and roughly how they work.

The first thing to appreciate is that there are two types of atmospheric effect covered in the dialog:

  1. A detailed simulation that carries out volume integration to creates effects such as 'volume shadowing'. This involves a time consuming calculation and the adjustment of several parameters and will always need some experiment to get the effect required. The settings of Samples, Super Dense Fog, Extra Strong Shadowing and Maximum Attenuation all effect the results you get with this effect.
  2. The second type of atmospheric effect uses a fast approximation and may give you the effect you require without the need for detailed calculations. To use it set the Use Fast check box and hit the radio button for the type of effect you require. (The other settings do NOT affect the 'fast' apprximation).

The effect works in connection with lights and the Volume shadowing effects only work with 'SPOTLIGHTS' so the first controls in the dialog allow you to specify the lights involved with the effect. These are basically the same contols that appear in many of the other plugin modules.

The 'Fast' Approximations
The best way to illustrate these effects with some examples, so starting with this basic scene showing a simple model illuminated with a single spotlight:

SFXplugAtmosXX2.GIF (15124 bytes) SFXplugAtmosXX3.gif (13723 bytes)

Adding the Atmospherics image post processor to the light in the scene with each of the 'fast' effects produces the results shown below:

Adding Streaks gives a pretty good representation of a dusty atmosphere, or possibly underwater:

SFXplugAtmosXX4.gif (17132 bytes)

Bands of Dust :

SFXplugAtmosXX5.gif (17368 bytes)

Random Dusty Particles:

SFXplugAtmosXX6.gif (25039 bytes)

Cloudy or smoky atmosphere::

SFXplugAtmosXX7.gif (17330 bytes)

No other settings have any effects on these 'fast' settings and they work with 'Spotlights' only.

'Full Volume Integration'
To obtain a full volume integration a kind of 'Ray Tracing' calculation is required, one ray for each pixel in the image is traced through the scene and at each sample point (controlled by the Samples setting) a calculation determines how much attenuation due to fog there is and whether that point lies in shadow from the named light or not. If the point is in shadow the scattered light due to fog particle is less and thus the fog appears less dense. Thus the more accurate the calculation is to be be the higher the number of Samples needs to be. However the larger the samples setting the slower is the calculation so you need to experiment with a single frame before continuing to render a full animation.

The other settings control the appearance of the Fog. For a basic fog the Super Dense Fog and Extra Strong Shadowing settings can be left at 0.0. They can be increased for cases were, for example, you want to show a light shining out through a box into a very dusty atmosphere.

For most cases the default sample of 16 may not be enough the examples below were rendered using 32 samples per 'traced ray':

Starting with a slight variation on the basic scene:

SFXplugAtmosXXfull0.gif (8305 bytes)

Rendering 32 samples per ray and all other settings left at their default values SDF (Super Dense Fog)=0.0 ESS(Extra Strong Shadowing)=0.0 MA(Max. Atten=0.96) we get:

SFXplugAtmosXXfull1.gif (17293 bytes)

Notice how the fog effect is less marked in that part where the atmosphere is shaded from the light by the object. This is caused because those parts of the atmosphere that are in shadow scatter the light less than those that are not in shadow. Reducing the value of Maximum Attenuation to 0.25 reduces the density of the fog:

SFXplugAtmosXX9.gif (15670 bytes)

To see the effect of using ESS=1.0 look at the image below . (For a scene of this nature an ESS setting of 0.0 would probably be more appropriate):

SFXplugAtmosXXfull2.gif (17729 bytes)

Notice how the shadow is more pronounced. This is a little artificial for a scene such as this. Compare it with the two images above.

To see the effect of Super Dense Fog look at the following SDF=1.5

SFXplugAtmosXXfull3.gif (12077 bytes)

The whole fog looks overexposed. This setting is not well suited to a scene like this. An SDF > 0.0 fog is best used for lights shining out through windows (for example) into a foggy environment where there may only be a few rays passing through that part of the atmosphere which is in shadow. In those cases it should be uses in conjunction with a high value of extra strong shadowing (ESS > 0.5).

We will look at some other examples:

Firstly if you are very short of time you can use a low setting for the number of samples combined with a higher setting of extra strong fog. The image below came from a rendering with only 5 samples per ray and a setting of 0.3 for ESS:

SFXplugAtmosXX8.gif (22633 bytes)

Here two models are in the beam of the spotlight with one (the plane) casting its shadow over the other (the Ape). In an animation you can see the model of the plane pass through the beam of the spotlight.

In the example below 16 samples are sufficient to render a light shining out through some holes in a box if the maximum superdense setting of 3.0 used:

SFXplugAtmosXXex0.GIF (19538 bytes) SFXplugAtmosXXex1.gif (32682 bytes)

SFXplugAtmosXXex2.gif (31154 bytes) SFXplugAtmosXXex3.gif (31471 bytes)

In the above example (atmos_full_ex3.stg) a post-process fog is combined with the atmospheric volumetric dusty atmosphere. Note that as you actually 'see' the light through one of the holes (frame 3 above) the whole raster is rendered in the fog colour.

In this last example (Atmos_full_ex4.stg) a slightly less intense effect of light shining through a shaped slit in an object is obtained by setting the SDF value to 1.0 and reducing the maximum attenuation MA to 0.5.

SFXplugAtmosXXex4.gif (47471 bytes) SFXplugAtmosXXex5.gif (32447 bytes)

Comments:

  1. The more of the screen that is covered by areas that are illuminated the longer it will take to render the scene. The image with the Ape and Camera above has only about 1/3 of the full frame covered by atmosphere illuminated with the spotlight. In the scene below a light is directed from behind the aeroplane model and towards the camera, in this case the whole image is illuminated and it takes a lot long to render:
    SFXplugAtmosXXB.GIF (16860 bytes) SFXplugAtmosXXA.gif (38398 bytes)
  2. The need for experimentation cannot be stressed enough. There are no hard ad fast rules about setting up this post-processor. Download the examples and experiment with them. AND NOTE THAT THE PATHS to MODELS IMAGES and POST PROCESSORS themselves may not be the same on your system so you may need to fiddle about a bit.
  3. As usual the ATMOS.XFX and ATMOS.DLL files are placed in the POSTPROCESS subdirectory of the program folder.
  4. The 'fast' approximations are very fast, they don't slow down rendering at all.


Renderer Help

The Renderer is the module that creates the photographic images of models built in the Designer and the animated sequence of images as directed in the Animator.

Rendering can be a time consuming process that is very dependent on the size image being produced and the complexity of the Actor's costumes. Rendering is by default a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File > Quick Render (F12).

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

The Renderer module can be used in a mode (called the Script Renderer) that does not need either the Animate or Design modules to be loaded. The Script Renderer may also be run on several others PCs at the same time.


Closed Path

A Closed Path loops and must have at least three nodes.

Closed Path

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


Depth Cued Lighting

Enables normal lights and spotlights lights to be configured so that their illumination strength is dependent upon their distance in the scene.

Depth Cued Lighting is an advanced feature for experienced users who want fine control over lighting. Note that it is very easy to generate a "black" image if it is not set up correctly. Therefore it is turned OFF by default.

There are two components to using Depth Cued Lighting:

1) | Enable Depth Cued Lighting by checking the Attenuate check box in the Light Settings dialog. If the Attenuate box is checked, the light is shown with a dotted circle surrounding it. The dotted circle around the light shows the location at which the light intensity has fallen to half its given value. By default this is a radius of 10 units. Its size can be increased or decreased by scaling the light in the same way that scaling a spotlight adjusts the angle of the spotlight cone. This radius can also be set manually on the Light Scale time line or by choosing the "Light Parameters" item from the light context menu. The Attenuation Range 50% value specifies the sixe of the dotted circle.
2) | Light Attenuation Factors - Increasing the Linear parameter causes the light to fall to a lower value at the location of the dotted circle. Increasing the Quadratic factor causes the light to fall off very rapidly outside the dotted circle. For example, Attenuation values of Constant=1.0, Linear=1.0, and Quadratic=2.0 produce a very limited light range.


Direction Tab Page

Controls the rotation of an Actor along a Track.

The direction the Actor would be pointing at each Rotation keyframe is indicated with an arrow. Click buttons in the dialog to choose which rotation axis is edited. Only Tween or Accelerated rotation timeline types can have a their rotations controlled through this mode. Any other rotation timeline types cannot enter Edit Direction mode. The shape of the Track depends on the movement timeline for the selected Actor.

Direct - The Direction the Actor is pointing at keyframes on the track is adjusted by clicking on a keyframe arrow to pick it up. Move the mouse and the direction arrow will pivot Round, Up/Down or Bank left/right. Click again to release your hold on the arrow. If a non-keyframe frame indicator is selected you will be prompted with the option to make it a keyframe.

Time Shift - Adjusts which frames are the keyframes in the selected Actor's rotation timeline. Click on the keyframe arrow to pick it up. Move the mouse left or right to shift the keyframe to an earlier or later frame. Click again to set the arrow down. This is like slipping beads up or down the string running through them.

Delete - Demotes a Keyframe to a normal frame.

Tension - This only applies if the Rotation timeline is of Accelerated type. If it is then in this mode the direction arrow can be made to "behave less elastically". Click on the keyframe arrow to pick it up. Move the mouse left or right to adjust the tension in the spline "elasticity in the arrow directions". Click again to set the arrow back down. This is like tightening or loosening the string running through the selected bead.


Fit in Window

Change the size and position of the Working-Volume so that all vertices in a selected Model fit within it.


Ground Shader Types

Ground Texture Types

The primary color of the ground is set by clicking on the Ground Basic Color swatch and then choosing a color from the Windows color dialog. The texture Color swatch is used to specify a second color that is needed for ground patterns such as a checkerboard.

Colored - Exactly the same as a Plain ground. One color must be specified: the color of the ground. The sizing parameters are not used.

Checker - A traditional checkered ground plane. Two colors must be specified. The size of the ground's scale rectangle controls the size of the checker. You can scale the rectangle differentially to obtain a rectangular checker.

Grid - A line grid ground texture. Two colors must be specified. The first color is the ground's background color. The second color is the color of the grid lines. As with the Checker texture, the ground's scale rectangle controls the size of the grid. Again, you can scale the rectangle deferentially to obtain a rectangular grid.

Stripes - Very similar to the Grid texture, except parallel instead of crossing lines.

Dots - A texture with circular dots. Two colors must be specified. The first color is the ground's background color. The second color is the color of the dots. The ground's scale rectangle (X) size controls the spacing of the dots. Its (Y) size controls the radius of the dots. The (Z) scale is unused.

Crosses - A texture that paints crosses regularly across the ground plane. Two colors must be specified. The first color is the ground's background color. The second color is the color of the crosses. As with the Dots texture, the ground's scale rectangle (X) size controls the spacing of the crosses. The (Y) size controls the size of the crosses.

Brick - A regular brick-like texture. Two colors must be specified. The first is the color of the bricks, the second is the color of the mortar between the bricks. The (X) and (Y) size of the ground's size rectangle represent the horizontal and vertical size of the bricks.

Rough - This is a bumpy texture. The Rough texture is versatile and can be used to simulate things like sand dunes, rolling meadows and alien moonscapes. One color needs to be specified. A dusty yellow can be used for sand dunes, while a succulent green can be used for a meadow. The (X) and (Y) size of the ground's size rectangle control the density of the bumps.

A small size will give you a very bumpy surface. A larger size will yield long rolling bumps, suitable for a meadow. The (Z) scale value represents the height of the bumps. Too large a height will look unnatural and should be avoided.

Wave Textures - The Ripples, Wave and Ocean textures simulate waves. They are animated textures and will change over time. They have been set up to loop smoothly over 20-frame intervals. This means that if you want to create a looping animation with waves in it, it should be a multiple of 20 frames. The Renderer puts a specular highlight on waves. In effect, the waves are given a Gloss finish. A light should be placed correctly to catch the crests of the waves and display the specular highlight for best effect. In fact, the position of the light is probably the most important factor when you are animating waves. Also, the color you assign to the waves is of vital importance to achieving a realistic look.

Waves are generated by wave sources, which disturb the liquid and create the effect of waves. The waves will radiate out from the wave source in a predictable circular fashion. There can be one wave source, or several. If the waves generated by two or more waves sources meet, an interference pattern results. Often it is desirable to place the camera near such an area of interference, as the motion of the waves will seem complex and unpredictable, that is to say, more natural.

The Wave texture has just one wave source. This is located inside the ground's bounding rectangle. The (Y) size of the rectangle controls the wavelength of the waves (the larger the size, the longer the wavelength). The (Z) size (the height of the Z line) controls the height (amplitude) of the waves. The (X) size of the rectangle is not used to control anything.

The Ripples texture has several waves sources, about 10. These are placed at various points. Two of these wave sources are placed inside the ground size rectangle. The position of the ground size rectangle controls the position of the wave sources. As with the Wave texture, the (Y) size of the rectangle controls the wavelength of the waves. The (Z) size controls the height (amplitude) of the waves. However in the Ripples texture, the (X) size of the rectangle controls how dispersed the wave sources are. This is a very important variable, as it controls the density of the wave sources.

The Ocean texture's variables are identical to those of the Ripple texture, but the Ocean texture uses a different wave algorithm. While the Ripples texture produces waves that resemble ripples, the Ocean texture produces waves that resemble oceanic waves. The ocean texture uses 7 waves sources. It also has 3 wave sources that produce waves of a much longer wavelength. The 7 short wave sources are placed at random in the 3D universe. The positions of the 3 long wavelength wave sources is determined from the position of the ground's size rectangle. When you change the wavelength variable (by scaling the size rectangle) both the long and short wavelengths are changed. This means that the long wavelength wave sources always produce waves with the same size relative to the waves of the normal wave sources. These 3 long wavelength sources will interfere with the normal waves and produce 'waves-on- waves'. This effect is difficult to describe, so the best way to understand it is to try it for yourself.


OpenFX Home Page

Home Page...

Goes to the WEB site for news and updates. It loads the site into your default browser.


Loaded Path

A Loaded Path (sometimes called Filed Path) is one that was previously created in the Designer and saved with a .PTH extension.

A Loaded Path can be of any type and are stored in the Models folder. Sample loaded paths such as Circular.pth, Elliptic.pth, Helix.pth, Parabola.pth, and Spiral.pth are included.

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


Model Movement Channel

Model Movement Timeline

The Model Movement Timeline controls where and how a Model will move from keyframe to keyframe.

All settings are grouped in a single dialog which will appear when a timeline is created or edited. The dialog shows the timeline extent, the coordinates of the position of the Model in current units, and the specified Movement Type.


Open Path

An Open Path has a distinct starting and ending point. Must have at least two nodes.

Open Path

Note the Node/Vertex Tool can be used to modify the shape and number of points describing the path.


Path Editor Dialog

The Path Editor dialog is used to modify the shape and number of control points along a Path. The Path Editor dialog appears when a Path is selected with the Vertex/Node Selector Tool.

Move - Moves one of the path nodes by clicking and dragging it. If a node is highlighted and you click away from any path node and proceed to drag, the highlighted node will move.

Add - Clicking on a node in the path will add another control node in front of it.

Delete - Clicking on a node in a path will delete it from the path. It is not possible to delete the first or last node of any path. A closed path must have at least three nodes.


Path Types

Path costumes may be open, closed, or loaded from a previously save PTH file.

Open - A path with a distinct starting and ending point. Must have at least two nodes.

Closed - A path that loops. Must have at least three nodes.

Filed (Loaded)- An Open or Closed path that was created in the Designer and saved as a .PTH file.

Copy (Copied) - Inserts a copy of a specified path that was previously inserted into the Animator.


Phong Smoothing

This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

The diagram below shows a cylinder and a faceted model.

When lighting conditions and surface color are taken into account, that is, it has been shaded, it will look like:

This is because triangles are flat surfaces. At an edge, between two triangles, there may be a change in direction between the planes in which the triangular faces lie. Since it is the angle between these planes and the direction of the light that dictate the shading of a 3D model, the edges of a face are particularly noticeable. If two triangles lie in the same plane, shading them will appear to remove the common edge.

There are many places in a model where there should be visible edges, I will call them creases. A cube would not be a cube if it did not have creases on its edges.

However models have many curved surfaces which we have approximated by triangular faces. Unfortunately an almost unlimited number of minute triangles would be required to get a perfect model for the curved surface.

In essence there are two types of areas on the surface of a model. One is inherently angular and the other is inherently curved.

The faceted method of modeling does a very good job of modeling the angular surface areas, but it is necessary to find a way to make curved surfaces look curved without having to add thousands of minute triangles.

A cylinder (build from a set of triangular faces) poses a very interesting problem. It has a curved side which we would like to look smooth. The top and bottom are flat but the edges between the side and top, and the bottom and side, should remain visible. Therefore there are two flat pieces joined to a curved piece with a crease in between.

This property of the cylinder is quite difficult to model correctly, and it will be reconsidered it later.

There are a couple of methods that are used to make curved surfaces look smooth. They are called Gouraud shading and Phong shading, named after their creators. Both are approximations, Phong shading gives a more realistic look to models but it takes longer to render. The Renderer uses Phong shading.

Important Note: It is important to realize that no smoothing method smoothes outlines.

Because the eye takes much less note of the edges of a model than abrupt changes in shading on the visible surface, it is possible to get away with only smoothing surfaces.

Look at the diagram below; it shows a cylinder and a smoothed and shaded representation. Note the lack of creases in the curved part of the surface. Note also that the edges have not been made curved!

It looks a very much better cylinder than if smoothing had not been applied. This has been achieved without adding any vertices, edges or faces!

The curved edges could be smoothed by adding only a few extra vertices, a lot more would be required if it were necessary to smooth the whole surface by adding more faces!

That's the good news. Unfortunately, with any approximation come a few drawbacks.

The main problem occurs if you try to smooth triangulated surfaces on which there are very large angles between faces that have a common edge. Faces with an angle greater than 90 degrees will look very strange if smoothing is applied.

If possible, smoothing should only be applied to faces with angles of 60 degrees or less (to adjacent faces). You must be quite selective in which faces you choose to apply smoothing too.

A few more words need to be said about the problem that was hinted at earlier with regard to the cylinder.

There will be no problem (with angles) in smoothing the curved surface of the cylinder provided 6 or more edges around a circular end were used (12 triangular faces on the curved surface). However it is desired to retain the crease between the top surface and the side, and of course at the bottom as well.

To achieve this smoothing should be applied to the faces on the curved surface only.

For a cylinder such as the one shown below this can be done by selecting all the vertices that make up the cylinder and then setting smoothing to OFF. Then, by using the Selector (in a window which show the circular section), the vertices at the center of the top and bottom surfaces are selected. Finally by clicking on the Select Swap icon the appropriate vertices are selected. Smoothing is activated for faces in the Designer's Attributes dialog.

If the above procedure is followed, the Renderer carefully leaves the crease alone.

If you just selected all the vertices in the cylinder and set smoothing On you would just get a blur where the crease was supposed to be, and probably several dark patches elsewhere in the image.

Sometimes it is just not possible to get all the creases you want using the approach above. For example if two smoothed surfaces are joined together. In these cases, don't join the faces from the two surfaces but just put them very close together. You won't see the gap (between the surface patches) in the image, if they are close enough together.

Common Edge

Use 2 Edges (one for each surface)

There is one other situation that should be avoided when building smooth surfaces on models.

Each edge should be common to two faces at most.

Avoid designs that involve structures such as that shown below.

Edge Common to more than 2 Faces

In that example an edge is common to three faces and the Phong smoothing algorithm won't know which ones make up a smooth surface. This type of situation arises mainly if there are "Internal Faces" in a model. Internal faces are usually unnecessary, unless you have some faces made of glass and you want to see into the inside of the model. If this is the case then don't join the internal surfaces to the outer surfaces. Use the trick described earlier for keeping creases in a model.


Refractive Index

Specifies the Index of Refraction for the selected faces.

Refraction is only calculated if the Trace Reflections and Trace Glass option on turned on in the Trace Tab page of the Render dialog.

Refraction is the bending of light as it passes through a transparent surface. This quality is responsible for the optical properties of a lens or magnifying glass. Refraction is also apparent when you look at a room through a glass full of water. Light is bent once as it passes through one side of the glass, again as it enters and exits the water, and again as it passes through the far wall of the glass.

The amount that light bends as it passes through any given material is defined by a standard number called the "Index of Refraction."

Material | Index of Refraction
Air | 1.0 (no refraction)
Glass | 1.2 - 1.9
Water | 1.33 (1.3 for ice)
Diamond | 2.4


Renderer Overview

Select the desired rendering settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering.

By default a Scanline Phong rendere is used to produce the images. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The enderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

Note that test renders be done quicker using the command File > Quick Render (F12) From the Animation and Design modules.


Shaded View using OpenGL

The OpenGL Shaded Camera view displays a shaded rendering of the active camera's viewpoint at a specified frame.

The frame number displayed is specified using the Camera View Animation Controls at the bottom of the Camera window.

Image mapping can be toggled on or off by clicking on the right mouse button while the mouse pointer is over the Camera window.

Image Mapping On

Image Mapping Off


OpenFX Online Support

Support...

Loads the support information page into your default browser. Your computer must be connected to the Internet.


Target Rotation Types

Target Rotation

There are 12 rotation types or ways to rotate or align an Actor .

Tween - The rotation of the Actor is interpolated linearly between its rotation at the first keyframe and its rotation in the last keyframe of the timeline. Simply put, in half the time it will have made half the rotation.

Smooth Tween - The Actor's alignment will accelerate between keyframes to give a smooth rotation. This creates much more natural motion. Used with a camera, for example, it will produce a realistic panning action with ease-in and ease-out. Hint: Use a single frame key following the end of the pan to prevent overshoot.

The last three types of rotation require that the Actor Aligns To, Looks At, or Mimics its rotation from another Actor. Specify the Actor to be Looked At by clicking the Select button in the Target box. After an Actor has been selected, the radio buttons for the Looking At options will be enabled.

Align to Path - If an Actor is following a path, then this sets its rotation to follow the direction of the path. For example, a plane following a path can be made to turn as the path turns.

Look At - The Actor is forced to point at another Actor. The actual point of aim is the selection handle or Model Center of the targeted Actor.

Mimic - Give this Actor exactly the same alignment as the targeted Actor.

Internal Rotation

There are a few special rotations that are difficult to arrange manually, quite commonly desired, and are best described as 'internal motion'. The buttons in the box marked Internal Rotation give a quick way of specifying motions that are 'internal,' that is, relative to the Actor, no matter what other actions the Actor is performing. The rotor blades of a moving helicopter are a good example of internal rotation. The Actor's direction can still be specified in its key frames, while the internal rotation is 'underlaid' on the tween.


Track

A track is an implied path that an Actor can follow throughout an animation.

Spline Tween Track

A track appears as a series of line segments (Tween) or curved (Spline Tween) with small squares along the length of each piece indicating where the Actor will be in each frame of the animation. It all looks very much like a string of beads, where each bead is a frame and the larger beads are keyframes. The above example has 10 frames with 3 keyframes (the purple squares).

A track will only be visible if the Actor has at least two contiguous movement timelines. If the Actor does not move, all the points on its track will be at the same place, and therefore difficult to see!


Track Tab Page

Controls for the movement of an Actor along a Track

Move - The position of the Actor at keyframes on the track is altered by clicking on a keyframe indicator to pick it up. Move the mouse and the keyframe position will follow the mouse. Click again to set the indicator down. If a non-keyframe frame indicator is clicked you will be prompted with the option to make it a keyframe.

Time Shift - Adjusts which frames are the keyframes in the selected Actor's movement timeline. Click on the keyframe indicator (large square) to pick it up. Move the mouse left or right to shift the keyframe to an earlier or later frame. Click again to set the indicator down. This is like slipping beads up or down the string running through them.

Delete - Demotes a Keyframe to a normal frame.

Tension - Controls the elasticity (curviness) of the track. This is like tightening or loosening the string running through the selected bead. Move the mouse left or right to adjust the tension in the spline (curviness of the curve). This only applies if the Movement timeline is of Spline Tween type.


Triview Cursor

3D Cursor

The 3D Cursor is used indicate an exact position in 3D space. The intersection of any two 3D cursors in the Top, Front, or Side Windows indicates an exact position in 3D space. The 3D Cursor can take the form of either a Cross Hair or a Cross Wire.

Cross Hair 3D Cursor

Cross Wire 3D Cursor


Using Help

Explains how to use the On-line HTML Help system.


ViewOpenGL Menu

Describes the functions of the Animator's ViewOpenGL Menu commands.


WindowBox

Working-Volume

The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that detailed movements can be made on a small scale.

The Working-Volume views show what's inside it:

TOP | Top looking down
FRONT | Front looking back
SIDE | Right side looking left

The Camera view is a 3D rendering of the Actors in the Working-Volume.


Xvideo Types

Image Processor Effect Types

Inserts an Image Processor Effect choosen from the Select Image Processing Module dialog.

Typical Examples

Blur - Blurs the screen to simulate Motion Blur.

Depth of Field (Dof) - Simulates photographic depth of field.

Filter - Changes the color of all pixels after the rendering is complete.

Flare (Lens flare)- Simulates the effects of lights flaring in the lens of a camera

Fog - Simulates fog and haze.

Glow - Adds a glow to any pixels with a key color.

Halo - Adds a halo around lights.

Hilite - Adds a hilite for lights.

Lasers - Simulates the appearance of a laser beam.

Starfield - Generates a scrolling starfield.

Stars - Creates the effect of a starfield in an animation.

SuperNova - Simulates the effect of a star going supernova.

Trails - Leaves a trail behind for all models that move in a animation.

Video - Offers 24 different video effects.

Xvideo - Offers 26 additional different video effects.